<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

session_start();

include_once('assets/connection/cl_config.php');

define('DB_SERVER', $db_host);
define('DB_USERNAME', $db_username);
define('DB_PASSWORD', $db_password);
define('DB_DATABASE', $db_name);

/* PDO Connection 1 */
function getDB()
{
	$dbhost = DB_SERVER; 	// do not change it
	$dbname = DB_DATABASE;	// do not change it
	$dbuser = DB_USERNAME;	// do not change it
	$dbpass = DB_PASSWORD; 	// do not change it

	$dbConnection = new PDO("mysql:host=$dbhost;dbname=$dbname", $dbuser, $dbpass);	//Other database change PDO configuration
	$dbConnection->exec("set names utf8");
	$dbConnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	return $dbConnection;
}

/*MYQSLI Connection 2 */
$con = new mysqli("$db_host","$db_username","$db_password","$db_name");
if ($con -> connect_errno) {
  echo "Failed to connect to MySQL : " . $con -> connect_error;
  exit();
}

include_once('assets/includes/function_general.php');
include_once('assets/includes/function_one.php');
include_once('assets/includes/function_two.php');
include_once('assets/includes/app_core.php');


/*#### Registration #####*/
if(isset($_POST['signup']))
{
	if (!empty($_SESSION['uid'])) {
        $_SESSION['uid'] = '';
        unset($_SESSION['uid']);
    }
	$username = Cl_Secure($_POST['username']);
	$email = Cl_Secure($_POST['email']);
	$password = Cl_Secure($_POST['pass']);
	$cpassword = Cl_Secure($_POST['cpassword']);
	//$pincode = Cl_Secure($_POST['Pincode']);
	//$rand = Cl_Secure($_POST['rand']);
	$ref = Cl_Secure($_POST['ref']);
	//$captcha=Cl_Secure($_POST['captcha']);

	if($username=="") {
		$error[] = "please enter your username !";
	}
	else if((strlen($username))<4   )	{
		$error[] = "Username must be at least 4 characters. ";
	}

	else if($email=="")	{
		$error[] = "Please provide a valid email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}
	else if($password=="")	{
		$error[] = "Please enter password !";
	}
	else if(strlen($password) < 4){
		$error[] = "Password must be at least 4 characters";
	}
	else if($cpassword =="")	{
		$error[] = "Please re-enter your password";
	}
	else if($password != $cpassword)	{
		$error[] = "Password not match!";
	}
	/*else if($pincode == "")	{
		$error[] = "Please enter 4 digits pin code for your account authentication.";
	}
	else if((strlen($pincode))<4 || (strlen($pincode))>4   )	{
		$error[] = "Pin code should not be less or more than 4 digits. ";
	}*/
	/*else if ($_SESSION["captcha"]!=$captcha)	{
			$error[]="Please enter valid captcha!";
	}*/
	else
	{
		if (strlen($username)>0  && strlen($email)>0 &&  strlen($password)>0 )
		{
			$stmt =runQuery("SELECT username FROM cl_users WHERE username=:username");
			$stmt->execute(array(':username' => $username));
			$rowusername = $stmt->fetch(PDO::FETCH_ASSOC);

			$stmt1 =runQuery("SELECT email FROM cl_users WHERE email=:email");
			$stmt1->execute(array(':email' => $email));
			$rowemail = $stmt1->fetch(PDO::FETCH_ASSOC);

			if ($rowusername['username'] == $username) {
				$error[] = "Sorry this username already exist!";
			} else if ($rowemail['email'] == $email) {
				$error[] = "Sorry this email already registered with us, please login!";
			}  else {

				//get user ip
				$rem_addr = Cl_get_ip_address();

				//get type of user browser
				$browser=Cl_get_user_browser();

				//check if registration verification setting
				$reg_verification_setting=$cl['config']['registration_verification'];

				$cl_reg_user_id=cl_registration($username,$email,$password,$ref,$rem_addr,$browser,$reg_verification_setting);
				if($cl_reg_user_id){
					// set session and redirect user to the profile page
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
					//$_SESSION['uid'] =$cl_reg_user_id;
					$url=Slim_Link('index.php?page=signin');
					$data['location'] = $url;
				}else
				{
					$error[] = "Something went wrong, please refresh this page and try later.";
				}
			}
		}
		else
		{
			$error[] = "Please check your input and provide valid details.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//login
if(isset($_POST['cllog']))
{
	if (!empty($_SESSION['uid'])) {
        $_SESSION['uid'] = '';
        unset($_SESSION['uid']);
    }
	$username=Cl_Secure($_POST['username']);
	$password=Cl_Secure($_POST['password']);
	//$captcha=Cl_Secure($_POST['captcha']);
	$username_check = preg_match('~^[A-Za-z0-9_]{3,20}$~i', $username);
	$password_check = preg_match('~^[A-Za-z0-9!@#$%^&*()_]{4,20}$~i', $password);
	//$response=$_POST['captcha'];

	if($username=="")	{
		$error[] = "Please enter your username";
	}
	elseif($password=="")	{
		$error[] = "Please enter your password";
	}
	else if (strlen(trim($username)) <1 && $username_check < 1)	{
			$error[]="Please enter valid username!";
	}
	/*else if ($_SESSION["captcha"]!=$captcha)	{
			$error[]="Please enter valid captcha!";
	}*/
	else if (strlen(trim($password))>0) {

			$hash_password=md5($password);
			$stmt = runQuery("SELECT username,password,status FROM cl_users WHERE username=:username");
			$stmt->execute(array(':username' => $username));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['username']) <1) {
				$error[] = "Invalid Username or Password";
			}
			elseif ($row['password'] !=  $hash_password) {
				$error[] = "Invalid Username or Password";
			} else if ($row['status'] == "0") {
				$error[] = "This account is not yet verified! Please check your email inbox or spam folder to verify your account. <br/><br/> <div style=' background-color:white;' align='center'><a href='".Slim_Link('index.php?page=verification&action=request')."'>Request New Verification</a></div>";
			} else if ($row['status'] == "2") {
				$error[] = "This account has been banned. Please contact our support";
			} else {
				$login=cl_user_Login($username,$password);
				if($login)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
					$_SESSION['uid']=$login;

					//create token for login session to avoid CSRF
					$token_id = md5(uniqid(rand(),true));
					//token= base64_encode(openssl_random_pseudo_bytes(32));
					$_SESSION['token']=$token_id;
					//end token
					$url=Slim_Link('index.php?page=myaccount');
					$data['location'] = $url;
				}
				else
				{
					$error[]="Something went wrong, please refresh this page and try again!";
				}
			}
		}
		else
		{
			$error[]="Please enter valid password!";
		}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//get list of sub categories
if(isset($_POST['getsubcat'])) {
    $html = '';
	if (!empty($_POST['category'])) {
        $cat_id = Cl_Secure($_POST['category']);
        $query = mysqli_query($con, "SELECT * FROM cl_sub_category WHERE cat_id_fk = $cat_id");
        while ($sql = mysqli_fetch_assoc($query)) {
           $html .= "<option value='" . $sql['sub_cat_id'] . "'>" . $sql['sub_cat_name'] . "</option>";
        }
    }

    $data = array('status' =>200, 'html' => $html);
    header("Content-type: application/json");
    echo json_encode($data);
    exit();
}

/*
if(isset($_POST['getsubcat'])) {
    $html = '';
	if (!empty($_POST['category'])) {
        $cat_id = $_POST['category'];

		$subcat_data=Getsub_category($cat_id);
		if($subcat_data)
		{
			foreach ($subcat_data as $key => $value) {
				$html .= "<option value='" . $value['sub_cat_id'] . "'>" . $value['sub_cat_name'] . "</option>";
			}
			$data = array('status' =>200, 'html' => $html);
		}
	}
	header("Content-type: application/json");
    echo json_encode($data);
    exit();
}*/

//get list of cities in a particular state selection
if(isset($_POST['getcities'])) {
    $html = '';
	if (!empty($_POST['state'])) {
        $state_id = Cl_Secure($_POST['state']);
        $query = mysqli_query($con, "SELECT * FROM cl_cities WHERE state_id_fk = $state_id");
        while ($sql = mysqli_fetch_assoc($query)) {
           $html .= "<option value='" . $sql['cities_id'] . "'>" . $sql['cities_name'] . "</option>";
        }
    }

    $data = array('status' =>200, 'html' => $html);
    header("Content-type: application/json");
    echo json_encode($data);
    exit();
}




//Get all datails posted for the free Ad from form
if(isset($_POST['postfreead']))
{
	$adtitle = Cl_Secure($_POST['adtitle']);
	$adtype = Cl_Secure($_POST['adtype']);
	$adprice = Cl_Secure($_POST['adprice']);
	$adsalary = Cl_Secure($_POST['adsalary']);
	$admaxsalary = Cl_Secure($_POST['admaxsalary']);
	$adnegotiable = Cl_Secure($_POST['adnegotiable']);
	$adcurrency = Cl_Secure($_POST['adcurrency']);
	$adcondition = Cl_Secure($_POST['adcondition']);
	$addesciption = Cl_Secure($_POST['addesciption']);
	$adcategory = Cl_Secure($_POST['adcategory']);
	$adsubcategory = Cl_Secure($_POST['adsubcategory']);
	$adstate = Cl_Secure($_POST['adstate']);
	$adcity = Cl_Secure($_POST['adcity']);
	$adstreetaddress = Cl_Secure($_POST['adstreetaddress']);
	$adphone = Cl_Secure($_POST['adphone']);
	$token = Cl_Secure($_POST['token']);
	$ad_uid = Cl_Secure($_POST['uid']);

	if(empty($_POST['adtitle'])){
		$error[] = "Please enter <strong>Ad Product</strong> title";
	}
	else if(empty($_POST['adtype'])){
		$error[] = "Please select <strong>Ad type</strong>";
	}
	else if($_POST['adtype'] ==1 && empty($_POST['adprice'])){
		$error[] = "Please enter <strong>price</strong> for your Ad Product" ;
	}
	else if($_POST['adtype']==2 && empty($_POST['adsalary'])){
		$error[] = "Please enter <strong>minimum salary</strong> for your job offer";
	}
	else if($_POST['adtype']==2 && empty($_POST['admaxsalary'])){
		$error[] = "Please enter <strong>maximum salary</strong> for your job offer";
	}
	else if(empty($_POST['adcurrency'])){
		$error[] = "Please select Ad Product <strong>currency</strong>";
	}
	else if(empty($_POST['adcondition'])){
		$error[] = "Please select Ad Product <strong>condition</strong>";
	}
	else if(empty($_POST['addesciption'])){
		$error[] = "Please <strong>describe</strong> your Ad Product in details";
	}
	else if(empty($_POST['adcategory'])){
		$error[] = "Please select Ad Product <strong>category</strong>";
	}
	else if(empty($_POST['adsubcategory'])){
		$error[] = "Please select Ad Product <strong>sub category</strong>";
	}
	else if(empty($_POST['adstate'])){
		$error[] = "Please select <strong>state</strong>";
	}
	else if(empty($_POST['adcity'])){
		$error[] = "Please select <strong>city</strong>";
	}
	else if(empty($_POST['adstreetaddress'])){
		$error[] = "Please enter your street/office <strong>address</strong>";
	}
	else if(empty($_POST['adphone'])){
		$error[] = "Please enter your mobile/office <strong>phone number</strong>";
	}

	else
	{
		if($token == $_SESSION['token']){
			/*rand uploads for all ad forms*/
			$ad_public_id='';
			$amountOfDigits = 9; //total number to print
			$numbers = range(0,9);
			shuffle($numbers);
			for($i = 0;$i < $amountOfDigits;$i++)
			{
				$ad_public_id .= $numbers[$i];
			}
			/* end of rand uploads for all ad forms*/

			//get user ip
			$rem_addr = Cl_get_ip_address();
			//get type of user browser
			$browser=Cl_get_user_browser();

			$cl_process_ad=cl_post_free_ad_process($ad_public_id,$adtitle,$adtype,$adprice,$adsalary,$admaxsalary,$adnegotiable,$adcurrency,$adcondition,$addesciption,$adcategory,$adsubcategory,$adstate,$adcity,$adstreetaddress,$adphone,$ad_uid,$rem_addr,$browser);
			if($cl_process_ad){
				$url=Slim_Link('index.php?page=adphotoupload&_ad='.$cl_process_ad.'&_ownerhash='.$ad_uid);
				$data  = array(
					'status' => 200,
					'location' => $url
				);
			}else
			{
				$error[] = "Something went wrong, please refresh this page and try later.";
			}
		}else{
			$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//add photos to new ad posted
if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST" and $_FILES['cl_adphoto']['name'])
{
	$valid_formats = array("jpg", "png", "gif", "bmp","jpeg");

	// Count total cl_adphoto
	$countfiles = count($_FILES['cl_adphoto']['name']);

	//get advert/product ID
	$adid = Cl_Secure($_POST['adid']);

	//get advert/product owner ID
	$uid = Cl_Secure($_POST['owner']);
	//get token
	$token = Cl_Secure($_POST['token']);

	//An array variable to store uploaded cl_adphoto for preview
	$preview = array();

	$timeid=time();
	//for($index = 0;$index < $countfiles;$index++){
	if($token == $_SESSION['token']){
		$i=0;
		foreach ($_FILES['cl_adphoto']['name'] as $name => $value)
		{

			$filename = stripslashes($_FILES['cl_adphoto']['name'][$name]);
			$size=filesize($_FILES['cl_adphoto']['tmp_name'][$name]);
			//get the extension of the file in a lower case format
			  $ext = getExtension($filename);
			  $ext = strtolower($ext);

			if(in_array($ext,$valid_formats))
			{
			   if ($size < (MAX_PhotoSize*1024))
			   {
				   //create a temporary ID for uploading photos to handle preview and delete function


				   //get new name for each ad photo you are uploading
				   $image_name=$cl['config']['app_name']."_".$timeid.$filename;

				   //echo "<img src='".$uploaddir.$image_name."' class='imgList'>";
				   $newname=$cl['upload_folder'].$image_name;

				   //create a temporary ID to store each advert photo to handle delete and edit while uploading
				   $temp_id=$i.$timeid;

				   //move advert photos to upload folder
				   if (move_uploaded_file($_FILES['cl_adphoto']['tmp_name'][$name], $newname))
				   {
						$cl_adphoto_add=cl_adphoto_add_process($image_name,$adid,$uid);
						if($cl_adphoto_add){

						$preview[] = '<span id="adphoto_tempbox'.$temp_id.'"><img src="'.$cl['site_url'].$newname.'" width="50px;" height="50px" style="border-radius:10px;">
									<div   title="Delete">
										<a href="#" class="btn btn-link btn-lg text-muted adphoto_removal deletebox'.$temp_id.'" id="'.$temp_id.'"  rel="'.$image_name.'"  style="font-size:13px; margin-top:-60px; margin-left:5px;">
											<i class="dripicons-trash" style="color:white;" alt="Delete"></i>
										</a>
									</div>
									<div id="cl_imgprocess'.$temp_id.'" style="margin-left:15px;  display:none;"><img src="'.$cl['config']['icon_loader'].'ajaxloader.gif" style="margin-top:-50px; width:15px; text-align:center;" alt="Loading"/> </div></span>';
						$data  = array(
										'status' => 200,
										'message' => $preview,
										'adid' => $adid
									);
						}else{
							$error[]="Sorry, we are unable to upload your advert photos at this time, please refresh this page and try again";
						}
					} else {
					$error[]="Sorry, we are unable to upload your advert photos at this time, please upload another image or refresh this page and try again";
					}
				}else {
					$error[]="Sorry! You have exceeded the size limit, please upload not more than 9 mb";
				}
			} else{
				$error[]="Unknown extension! please upload jpg, png, gif, bmp and jpeg file only";
			}
			$i++;
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to delete temporary photo of ad/product during the new advert uploading
if(isset($_POST['delete_temp_adphoto']))
{
	$adphoto_id=Cl_Secure($_POST['adphoto_id']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);

	if($token == $_SESSION['token']){
		//get ad photo path
		$path=$cl['upload_folder'].$adphoto_id;

		if(file_exists($path)){
			if(unlink($path)){
				$cl_photo_path=$adphoto_id;
				$message="Successfully deleted";
				$cl_adphoto_delete=cl_adphoto_delete_process($cl_photo_path,$uid);
				if($cl_adphoto_delete){
					$data  = array(
					'status' => 200,
					'message' => $message
					);
				}
				else{
				$error[] = "Sorry! we are unable to delete this photo now, please continue while we auto solved it.";
				}
			}
			else{
			$error[] = "Sorry! we are unable to delete this photo now, please continue while we auto solved it.";
			}
		}
		else{
			$error[] = "Sorry! Ad photo not exist on our server, if the problem persist, continue the upload while we auto solved it.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//get user advert completed to start showing to the buyers and sellers
if(isset($_POST['complete_ad']))
{
	$adphoto_id=Cl_Secure($_POST['ad_id']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);

	if($token == $_SESSION['token']){
		if($adphoto_id){
			$cl_adphoto_validation=cl_validate_ad_photo($adphoto_id,$uid);
			if($cl_adphoto_validation){

				//get the total number of photos uploaded and check if not more than 5
				$count_adphotos=count_total_adphotos_uploaded($ad_id);
				if($count_adphotos > 5){
						$error[] = "<strong>Maximum exceeded!</strong><br/> You have uploaded more than 5 advert photos. Please delete some now to complete your Advert";
				}else{
					$cl_ad_completed=cl_ad_completed_process($adphoto_id,$uid);
					if($cl_ad_completed){
						$message="<strong>Great!</strong><br/> you have successfully completed your product advert and is now active. We hope you get customers soon.<br/><br/><span style='color:black;'>You will be redirected soon..</span>";
						$location=Slim_Link('index.php?page=myads');
						$data  = array(
						'status' => 200,
						'message' => $message,
						'location' => $location
						);
					}
					else{
					$error[] = "Sorry! we are unable to complete your advert now, please refresh this page and try again to complete your product advert.";
					}
				}
			}
			else{
				$error[] = "Sorry! product/any advert must have at least 1 photo. Please upload your advert photos up to 5.";
			}
		}
		else{
			$error[] = "Sorry! we are unable to complete your advert now, please refresh this page and try again to complete your product advert.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//Get new data and update user profile
if(isset($_POST['saveuserprofile']))
{
	$firstname = Cl_Secure($_POST['firstname']);
	$lastname = Cl_Secure($_POST['lastname']);
	$gender = Cl_Secure($_POST['gender']);
	$phone = Cl_Secure($_POST['phone']);
	$birthday = Cl_Secure($_POST['birthday']);
	$userbio = Cl_Secure($_POST['userbio']);
	$companyname = Cl_Secure($_POST['companyname']);
	$cwebsite = Cl_Secure($_POST['cwebsite']);
	$social_fb = Cl_Secure($_POST['social_fb']);
	$social_tw = Cl_Secure($_POST['social_tw']);
	$social_insta = Cl_Secure($_POST['social_insta']);
	$social_lin = Cl_Secure($_POST['social_lin']);
	$social_sky = Cl_Secure($_POST['social_sky']);
	$social_gh = Cl_Secure($_POST['social_gh']);
	//$nationality = Cl_Secure($_POST['nationality']);
	$uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if((strlen($firstname)) <1   )	{
		$error[] = "Please enter your first name.";
	}
	else if((strlen($lastname)) <1   )	{
		$error[] = "Please enter your last name.";
	}
	else if((strlen($gender)) <1   )	{
		$error[] = "Please select your gender.";
	}
	else if((strlen($phone)) <4   )	{
		$error[] = "Please enter your mobile number ";
	}
	else if((strlen($birthday)) <1  )	{
		$error[] = "Please select your birthday";
	}
	else if((strlen($userbio)) <10  )	{
		$error[] = "Please tell us about you in line more than 10 characters ";
	}
	else
	{
		//secure and validate the user account
		if($token == $_SESSION['token']){
			if (strlen(trim($firstname))>0)
			{
				$profile_update=cl_profile_update_process($firstname,$lastname,$gender,$phone,$birthday,$userbio,$companyname,$cwebsite,$social_fb,$social_tw,$social_insta,$social_lin,$social_sky,$social_gh,$uid);
				if($profile_update){
					$message="<strong>Saved</strong><br/> Your profile information has successfully saved";
					$data  = array(
						'status' => 200,
						'message' => $message
					);
				}
				else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to update your account now, please refresh this page and try it again.";
				}
			}
			else
			{
				$error[] = "Please enter valid details!";
			}
		}else{
			$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
		}
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//Get new password of user
if(isset($_POST['saveuserprofile_password']))
{

	$cur_password = Cl_Secure($_POST['cur_password']);
	$new_password = Cl_Secure($_POST['new_password']);
	$re_new_password = Cl_Secure($_POST['re_new_password']);
	$token = Cl_Secure($_POST['token']);
	$uid = Cl_Secure($_POST['uid']);

	if((strlen($new_password)) <1   )	{
		$error[] = "Please enter your new password.";
	}
	else if(strlen($new_password) < 4){
		$error[] = "Password must be at least 4 characters";
	}
	else if($re_new_password =="")	{
		$error[] = "Please re-enter your new password";
	}
	else if($new_password != $re_new_password)	{
		$error[] = "New password not match!";
	}
	else
	{
		if($token == $_SESSION['token']){
			$hash_password=md5($cur_password);
			$stmt1 =runQuery("SELECT * FROM cl_users WHERE uid=:uid");
			$stmt1->execute(array(':uid' => $uid));
			$row = $stmt1->fetch(PDO::FETCH_ASSOC);

			if ($row['password'] != $hash_password) {
				$error[] = "<strong>Sorry!</strong><br/> Your current password is not correct, please check and try it again.";
			}else{
				$profile_update=cl_profile_password_update_process($new_password,$uid);
				if($profile_update){
					$message="<strong>Saved</strong><br/> Your new password was successfully saved";
					$data  = array(
						'status' => 200,
						'message' => $message
					);
				}
				else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to update your account now, please refresh this page and try it again.";
				}
			}
		}else{
			$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//Get new email of user
if(isset($_POST['saveuserprofile_email']))
{

	$new_email = Cl_Secure($_POST['new_email']);
	$user_password = Cl_Secure($_POST['user_password']);
	$token = Cl_Secure($_POST['token']);
	$uid = Cl_Secure($_POST['uid']);

	if((strlen($new_email)) <1   )	{
		$error[] = "Please enter your new email.";
	}
	else if(!filter_var($new_email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address!';
	}
	else if(strlen($user_password) < 1){
		$error[] = "Please enter your password";
	}
	else
	{
		if($token == $_SESSION['token']){
			$hash_password=md5($user_password);
			$stmt1 =runQuery("SELECT * FROM cl_users WHERE uid=:uid");
			$stmt1->execute(array(':uid' => $uid));
			$row = $stmt1->fetch(PDO::FETCH_ASSOC);

			if ($row['password'] != $hash_password) {
				$error[] = "<strong>Sorry!</strong><br/> Your password is not correct, please check and try it again.";
			}else{
				$profile_update=cl_profile_email_update_process($new_email,$uid);
				if($profile_update){
					$message="<strong>Saved</strong><br/> Your new email was successfully saved";
					$data  = array(
						'status' => 200,
						'message' => $message
					);
				}
				else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to update your account now, please refresh this page and try it again.";
				}
			}
		}else{
			$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//add photos to new ad posted
if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST" and $_FILES['cl_profile_pic_btn']['name'])
{
	$valid_formats = array("jpg", "png", "gif", "bmp","jpeg");

	// Count total cl_profile_pic_btn
	$countfiles = count($_FILES['cl_profile_pic_btn']['name']);

	//get owner ID
	$uid = Cl_Secure($_POST['owner']);
	//get token
	$token = Cl_Secure($_POST['token']);

	//get old picture address/name
	$old_pic_address = trim($_POST['old_pic_address']);

	$timeid=time();

	if($token == $_SESSION['token'])
	{
		if ($_FILES['cl_profile_pic_btn']['name'])
		{
			$filename = stripslashes($_FILES['cl_profile_pic_btn']['name']);
			$size=filesize($_FILES['cl_profile_pic_btn']['tmp_name']);
			//get the extension of the file in a lower case format
			  $ext = getExtension($filename);
			  $ext = strtolower($ext);

			if(in_array($ext,$valid_formats))
			{
			   if ($size < (MAX_PhotoSize*1024))
			   {

				   //get new name for each ad photo you are uploading
				   $image_name=$cl['config']['app_name']."-profile-pic-".$timeid.$filename;

				   $newname=$cl['upload_folder'].'profile/'.$image_name;

				   //move advert photos to upload folder
				   if (move_uploaded_file($_FILES['cl_profile_pic_btn']['tmp_name'], $newname))
				   {
						//check if user used picture before and remove it from uploading profile folder
						$path=$cl['upload_folder'].'profile/'.$old_pic_address;
						if($old_pic_address && file_exists($path)){
								unlink($path);
						}

						//Set and add new profile picture to user table
						$cl_profile_pic_add=cl_profile_pic_add_process($image_name,$uid);
						if($cl_profile_pic_add){
							$preview = '<img src="'.$cl['site_url'].$newname.'" class="rounded-circle avatar-lg img-thumbnail" alt="profile-image">';
							$data  = array(
								'status' => 200,
								'message' => $preview,
								'url' => $path
							);
						}else{
							$error[]="Sorry, we are unable to upload your profile picture at this time, please refresh this page and try again";
						}
					} else {
					$error[]="Sorry, we are unable to upload your advert photos at this time, please refresh this page and try again";
					}
				}else {
					$error[]="Sorry! You have exceeded the size limit, please upload not more than 9 mb";
				}
			} else{
				$error[]="Unknown extension! please upload jpg, png, gif, bmp and jpeg file only";
			}

		}
		else{
			$error[]="Please refresh this page and try it again. You must select at least 1 picture of you.";
		}
	}else{
		$error[]="<strong>Oops!</strong> Something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//Get all datails posted on the form and validate then update (edit mode)
if(isset($_POST['edit_postfreead']))
{
	$adtitle = Cl_Secure($_POST['adtitle']);
	$adtype = Cl_Secure($_POST['adtype']);
	$adprice = Cl_Secure($_POST['adprice']);
	$adsalary = Cl_Secure($_POST['adsalary']);
	$admaxsalary = Cl_Secure($_POST['admaxsalary']);
	$adnegotiable = Cl_Secure($_POST['adnegotiable']);
	$adcurrency = Cl_Secure($_POST['adcurrency']);
	$adcondition = Cl_Secure($_POST['adcondition']);
	$addesciption = Cl_Secure($_POST['addesciption']);
	$adcategory = Cl_Secure($_POST['adcategory']);
	$adsubcategory = Cl_Secure($_POST['adsubcategory']);
	$adstate = Cl_Secure($_POST['adstate']);
	$adcity = Cl_Secure($_POST['adcity']);
	$adstreetaddress = Cl_Secure($_POST['adstreetaddress']);
	$adphone = Cl_Secure($_POST['adphone']);
	$ad_uid = Cl_Secure($_POST['uid']);
	$ad_id = Cl_Secure($_POST['ad_id']);
	$token = Cl_Secure($_POST['token']);

	if(empty($_POST['adtitle'])){
		$error[] = "Please enter <strong>Ad Product</strong> title";
	}
	else if(empty($_POST['adtype'])){
		$error[] = "Please select <strong>Ad type</strong>";
	}
	else if($_POST['adtype'] ==1 && empty($_POST['adprice'])){
		$error[] = "Please enter <strong>price</strong> for your Ad Product" ;
	}
	else if($_POST['adtype']==2 && empty($_POST['adsalary'])){
		$error[] = "Please enter <strong>minimum salary</strong> for your job offer";
	}
	else if($_POST['adtype']==2 && empty($_POST['admaxsalary'])){
		$error[] = "Please enter <strong>maximum salary</strong> for your job offer";
	}
	else if(empty($_POST['adcurrency'])){
		$error[] = "Please select Ad Product <strong>currency</strong>";
	}
	else if(empty($_POST['adcondition'])){
		$error[] = "Please select Ad Product <strong>condition</strong>";
	}
	else if(empty($_POST['addesciption'])){
		$error[] = "Please <strong>describe</strong> your Ad Product in details";
	}
	else if(empty($_POST['adcategory'])){
		$error[] = "Please select Ad Product <strong>category</strong>";
	}
	else if(empty($_POST['adsubcategory'])){
		$error[] = "Please select Ad Product <strong>sub category</strong>";
	}
	else if(empty($_POST['adstate'])){
		$error[] = "Please select <strong>state</strong>";
	}
	else if(empty($_POST['adcity'])){
		$error[] = "Please select <strong>city</strong>";
	}
	else if(empty($_POST['adstreetaddress'])){
		$error[] = "Please enter your street/office <strong>address</strong>";
	}
	else if(empty($_POST['adphone'])){
		$error[] = "Please enter your mobile/office <strong>phone number</strong>";
	}

	else
	{
		if($token == $_SESSION['token']){
			//get the total number of photos uploaded and check if not more than 5
			$count_adphotos=count_total_adphotos_uploaded($ad_id);
			if($count_adphotos > 5){
					$error[] = "<strong>Maximum exceeded!</strong><br/> You have uploaded more than 5 advert photos. Please delete some now to complete your Advert";
			}

			if(($_POST['adtype'] ==1) && (!empty($_POST['adprice']))){
				$adsalary='';
				$admaxsalary='';
			}
			else if(($_POST['adtype']==2) && (!empty($_POST['adsalary'])) || (!empty($_POST['admaxsalary']))){
				$adprice='';
			}

			//get user ip
			$rem_addr = Cl_get_ip_address();
			//get type of user browser
			$browser=Cl_get_user_browser();

			$cl_updated_ad=cl_update_free_ad_process($adtitle,$adtype,$adprice,$adsalary,$admaxsalary,$adnegotiable,$adcurrency,$adcondition,$addesciption,$adcategory,$adsubcategory,$adstate,$adcity,$adstreetaddress,$adphone,$ad_uid,$rem_addr,$browser,$ad_id);
			if($cl_updated_ad){
				$message="<strong>Updated!</strong> your advert has been updated successfully.";
				$data  = array(
					'status' => 200,
					'message' => $message
				);
			}else
			{
				$error[] = "Something went wrong, please refresh this page and try later.";
			}
		}else{
			$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to add favorite ads
if(isset($_POST['favorite']))
{
	$adid=Cl_Secure($_POST['adid']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['token']){
		if($uid && $adid){
			$cl_favorite=cl_add_favorite_ad($adid,$uid);
			if($cl_favorite){
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}else{
			$error[] = "<strong>Sorry!</strong> We are unable to add this advert to your favorite list. Please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> We are unable to add this advert to your favorite list.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to remove favorite ads
if(isset($_POST['removefavorite']))
{
	$adid=Cl_Secure($_POST['adid']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['token']){
		if($uid && $adid){
			$cl_removefavorite=cl_remove_favorite_ad($adid,$uid);
			if($cl_removefavorite){
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}else{
			$error[] = "<strong>Sorry!</strong> We are unable to delete this advert from your favorite list. Please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> We are unable to remove this advert from your favorite list.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function for user to delete their advert
if(isset($_POST['delete_user_advert']))
{
	$advert_id=Cl_Secure($_POST['advert']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['token']){
		if($advert_id){
			$cl_advert_delete=cl_advert_delete_process($cl['upload_folder'],$advert_id,$uid);
			if($cl_advert_delete){
				$message="Deleted successfully";
				$url=Slim_Link('index.php?page=myads');
				$data  = array(
				'status' => 200,
				'message' => $message,
				'url' => $url
				);
			}
			else{
			$error[] = "<strong>Sorry!</strong> We are unable to delete this advert now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> We are unable to delete this advert now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function for sub category link
if(isset($_POST['subcatlink']))
{
	$cat=Cl_Secure($_POST['cat']);
	$subcat=Cl_Secure($_POST['subcat']);

	if($cat && $subcat){
		$url=$base_url.Cl_get_url_text($catname=get_ad_category_name($cat))."/".Cl_get_url_text($subcatname=get_ad_subcategory_name($subcat))."?_cat=".$cat."&_subcat=".$subcat;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to create filter ads link on sub category
if(isset($_POST['filter_subcatlink']))
{
	$cat=Cl_Secure($_POST['cat']);
	$subcat=Cl_Secure($_POST['subcat']);
	$amountpost=Cl_Secure($_POST['amount']);

	//remove the currency sign from the posted amount variable
	$amount=filter_var($amountpost, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);

	if($cat && $subcat){
		$url=$base_url.Cl_get_url_text($catname=get_ad_category_name($cat))."/".Cl_get_url_text($subcatname=get_ad_subcategory_name($subcat))."?_cat=".$cat."&_subcat=".$subcat."&_filterPrice=".$amount;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to create SORTBY ads link on sub category
if(isset($_POST['sortby_subcatlink']))
{
	$cat=Cl_Secure($_POST['cat']);
	$subcat=Cl_Secure($_POST['subcat']);
	$amountpost=Cl_Secure($_POST['amount']);
	$checkfilterprice=Cl_Secure($_POST['checkfilterprice']);
	$sortby=Cl_Secure($_POST['sortby']);

	//remove the currency sign from the posted amount variable
	$amount=filter_var($amountpost, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);

	//set vairiables
	$filterlink="";
	$sortbylink="";

	//check if amount posted/clicked to create price link
	if($checkfilterprice > 1){
		$filterlink="?&_filterPrice=".$amount;
	}else{ $filterlink="?";}

	//check if sortby posted/clicked to create sortby link
	if($sortby){
		$sortbylink="&_sortby=".$sortby;
	}else{ $sortbylink="";}

	if($cat && $subcat){
		$url=Slim_Link('index.php?page=subcategory&catname='.Cl_get_url_text($catname=get_ad_category_name($cat))."&subcatname=".Cl_get_url_text($subcatname=get_ad_subcategory_name($subcat))."&catid=".$cat."&subcatid=".$subcat).$filterlink.$sortbylink;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to create SORTBY ads link on selected store
if(isset($_POST['sortby_adstore']))
{
	$storename=Cl_Secure($_POST['store']);
	$sortby=Cl_Secure($_POST['sortby']);

	//set vairiables
	$sortbylink="";

	//check if sortby posted/clicked to create sortby link
	if($sortby){
		$sortbylink="?&_sortby=".$sortby;
	}else{ $sortbylink="";}

	if($storename && $sortby){
		$url=Slim_Link('index.php?page=adtimeline&user='.$storename).$sortbylink;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to create SORTBY ads link on selected category
if(isset($_POST['sortby_catlink']))
{
	$cat=Cl_Secure($_POST['cat']);
	$sortby=Cl_Secure($_POST['sortby']);

	//set vairiables
	$sortbylink="";

	//check if sortby posted/clicked to create sortby link
	if($sortby){
		$sortbylink="?&_sortby=".$sortby;
	}else{ $sortbylink="";}

	if($cat && $sortby){
		//$url=Slim_Link('index.php?page=category/'.Cl_get_url_text($catname=get_ad_category_name($cat))."?_cat=".$cat.$sortbylink);
		$url=Slim_Link('index.php?page=category&catname='.Cl_get_url_text($catname=get_ad_category_name($cat))."&catid=".$cat).$sortbylink;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to create SORTBY ads link on all categories
if(isset($_POST['sortby_allcatlink']))
{
	$sortby=Cl_Secure($_POST['sortby']);

	//set vairiables
	$sortbylink="";

	//check if sortby posted/clicked to create sortby link
	if($sortby){
		$sortbylink="?_sortby=".$sortby;
	}else{ $sortbylink="";}

	if($sortby){
		$url=Slim_Link('index.php?page=categories').$sortbylink;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function for search
if(isset($_POST['search_product']))
{
	$search=Cl_Secure($_POST['searchproducts']);
	$search_category=Cl_Secure($_POST['search_category']);

	//set vairiables
	$searchlink="";

	//check if is true
	if($search){
		$searchlink="?_lookin-for=".$search;
		$url=Slim_Link('index.php?page=search&cat='.$search_category).$searchlink;
		$data  = array(
		'status' => 200,
		'url' => $url
		);
	}
	else{
		$error[] = "Something went wrong!, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//request to create order and link
if(isset($_POST['create_payment_order_link']))
{
	$adbooster_type=Cl_Secure($_POST['adbooster_type']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);

	if($token == $_SESSION['token']){
		/*generate rand order ID */
		$rand_orger_id='';
		$amountOfDigits = 6; //total number to print
		$numbers = range(0,9);
		shuffle($numbers);
		for($i = 0;$i < $amountOfDigits;$i++)
		{
			$rand_orger_id .= $numbers[$i];
		}
		/* end of rand*/



		//set variables to store booster details from admin
		$package_name="";
		$package_price="";
		$package_quantity="";

		//get adbooster selected details from website configuration before creating order
		$get_adbooster_selected_details=get_adbooster_selected_details($adbooster_type);
		if($get_adbooster_selected_details){
			if($adbooster_type == "1"){
				$package_name=$get_adbooster_selected_details[0]->package_a_name;
				$package_price=$get_adbooster_selected_details[0]->package_a_price;
				$package_quantity=$get_adbooster_selected_details[0]->package_a_quantity;

				//create order and get order ID to create payment link
				$cl_adbooster_order=cl_adbooster_order_process($adbooster_type,$package_name,$package_price,$package_quantity,$rand_orger_id,$uid);
				if($cl_adbooster_order){
					$url=Slim_Link('index.php?page=adboosterpayment').'?_type=1&order='.$cl_adbooster_order;
					$data  = array(
					'status' => 200,
					'url' => $url
					);
				}else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to process your request now. Please refresh this page and try again or check back later.";
				}
			}
			else if($adbooster_type == "2"){
				$package_name=$get_adbooster_selected_details[0]->package_b_name;
				$package_price=$get_adbooster_selected_details[0]->package_b_price;
				$package_quantity=$get_adbooster_selected_details[0]->package_b_quantity;

				//create order and get order ID to create payment link
				$cl_adbooster_order=cl_adbooster_order_process($adbooster_type,$package_name,$package_price,$package_quantity,$rand_orger_id,$uid);
				if($cl_adbooster_order){
					$url=Slim_Link('index.php?page=adboosterpayment').'?_type=2&order='.$cl_adbooster_order;
					$data  = array(
					'status' => 200,
					'url' => $url
					);
				}else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to process your request now. Please refresh this page and try again or check back later.";
				}
			}
			else if($adbooster_type == "3"){
				$package_name=$get_adbooster_selected_details[0]->package_c_name;
				$package_price=$get_adbooster_selected_details[0]->package_c_price;
				$package_quantity=$get_adbooster_selected_details[0]->package_c_quantity;

				//create order and get order ID to create payment link
				$cl_adbooster_order=cl_adbooster_order_process($adbooster_type,$package_name,$package_price,$package_quantity,$rand_orger_id,$uid);
				if($cl_adbooster_order){
					$url=Slim_Link('index.php?page=adboosterpayment').'?_type=3&order='.$cl_adbooster_order;
					$data  = array(
					'status' => 200,
					'url' => $url
					);
				}else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to process your request now. Please refresh this page and try again or check back later.";
				}
			}
			else{

			}
		}else
		{
			$error[] = "<strong>Sorry!</strong>, we are unable to process your request now. Please refresh this page and try again or check back later.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//Receipt upload request
if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST" and $_FILES['cl_reciept_btn']['name'])
{
	$valid_formats = array("jpg", "png", "gif", "bmp","jpeg");

	// Count total cl_reciept_btn
	$countfiles = count($_FILES['cl_reciept_btn']['name']);

	//get owner ID
	$uid = Cl_Secure($_POST['owner']);
	//get token
	$token = Cl_Secure($_POST['token']);

	//get order ID
	$order_id = Cl_Secure($_POST['order']);

	$timeid=time();
	if($token == $_SESSION['token']){
		if ($_FILES['cl_reciept_btn']['name'])
		{

			$filename = stripslashes($_FILES['cl_reciept_btn']['name']);
			$size=filesize($_FILES['cl_reciept_btn']['tmp_name']);
			//get the extension of the file in a lower case format
			  $ext = getExtension($filename);
			  $ext = strtolower($ext);

			if(in_array($ext,$valid_formats))
			{
			   if ($size < (MAX_PhotoSize*1024))
			   {

				   //get new name for each photo you are uploading
				   $image_name=$cl['config']['app_name']."-bank-transfer-receipt-".$timeid.$filename;

				   $newname=$cl['upload_folder']."bank_transfer_receipt/".$image_name;

				   //move photos to upload folder
				   if (move_uploaded_file($_FILES['cl_reciept_btn']['tmp_name'], $newname))
				   {
						//Set and add this receipt to user payment table.
						$cl_receipt_add=cl_payment_receipt_process($image_name,$order_id,$uid);
						if($cl_receipt_add){
							$preview = '<img src="'.$cl['site_url'].$newname.'" class="pl-3"  style="width:100%; height:98%;" id="receipt_uploaded"  alt="Receipt uploaded">';
							$data  = array(
								'status' => 200,
								'message' => $preview
							);
						}else{
							$error[]="Sorry, we are unable to upload your receipt at this time, please refresh this page and try again";
						}
					} else {
					$error[]="Sorry, we are unable to upload your receipt at this time, please refresh this page and try again";
					}
				}else {
					$error[]="Sorry! You have exceeded the size limit, please upload not more than 9 mb";
				}
			} else{
				$error[]="Unknown extension! please upload jpg, png, gif, bmp and jpeg file only";
			}

		}
		else{
			$error[]="Please refresh this page and try it again. You must select at least 1 picture of your receipt.";
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to create SORTBY ads link on search ads page
if(isset($_POST['search_wordslink']))
{
	$search_words=Cl_Secure($_POST['search_words']);
	$sortby=Cl_Secure($_POST['sortby']);
	$cat=Cl_Secure($_POST['category']);
	//set vairiables
	$sortbylink="";

	//check if sortby posted/clicked to create sortby link
	if($sortby){
		$sortbylink="?_lookin-for=".$search_words."&_sortby=".$sortby;
	}else{ $sortbylink="?_lookin-for=".$search_words;}
	$url=Slim_Link('index.php?page=search&cat='.$cat).$sortbylink;
	$data  = array(
	'status' => 200,
	'url' => $url
	);
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//forgot password code
if(isset($_POST['forgot']))
{
	$email=Cl_Secure($_POST['email']);
    //$response=$_POST['captcha'];

	if($email=="")	{
		$error[] = "Please enter your email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}/*
	else if($response=="") {
		$error[] = "please check the recaptcha to proof you are not a robot!";
	}*/

	else{
			$stmt = runQuery("SELECT email FROM cl_users WHERE email=:email");
		 	$stmt->execute(array(':email' => $email));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['email']) <1) {
				$error[] = "This email is not yet registered!";
			}
			 else {
				$request=cl_reset_password_link($email);
				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $request
					);
				}
				else
				{
					$error[]="<strong>Sorry!</strong> the mailing system was unable to process your request now, please try it again or contact support.";
				}
			}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//requestVerification
if(isset($_POST['requestVerification']))
{
	$email=Cl_Secure($_POST['email']);
    //$response=$_POST['captcha'];

	if($email=="")	{
		$error[] = "Please enter your email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}/*
	else if($response=="") {
		$error[] = "please check the recaptcha to proof you are not a robot!";
	}*/

	else{
			$stmt = runQuery("SELECT email FROM cl_users WHERE email=:email");
		 	$stmt->execute(array(':email' => $email));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['email']) <1) {
				$error[] = "This email is not yet registered!";
			}
			 else {
				$request=requestVerification($email);
				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $request
					);
				}
				else
				{
					$error[]="<strong>Sorry!</strong> the mailing system was unable to process your request now, please try it again or contact support.";
				}
			}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//reset new password code
if(isset($_POST['resetp']))
{
	$npassword=Cl_Secure($_POST['password']);
	$cpassword=Cl_Secure($_POST['cpassword']);
	$code=Cl_Secure($_POST['code']);


	if($npassword=="")	{
		$error[] = "please enter new password";
	}
	elseif($cpassword=="")	{
		$error[] = "please re-enter your new password";
	}
	elseif($npassword != $cpassword)	{
		$error[] = "Password not match!";
	}
	elseif($code=="")	{
		$error[] = "Something went wrong! please refresh this page now.";
	}

	else{
			if (strlen(trim($npassword))>0  && strlen(trim($cpassword))>0 )
			{
				$request=resetPassword($npassword , $cpassword, $code);

				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
					$_SESSION['uid']=$request;
					$url=Slim_Link('index.php?page=myaccount');
					$data['location'] = $url;
				}
				else
				{
					$error[]="Something went wrong! please refresh this page now.";
				}

			}
			else
			{
				$error[]="Please enter valid password.";
			}

	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//resend of dashboard verification code to logged user email
if(isset($_POST['verifyacct']))
{
	$sessionUid=Cl_Secure($_POST['uid']);

	if($sessionUid != "")
	{

			$stmt = $Cl_function_one->runQuery("SELECT email FROM cl_users WHERE uid=:uid");
			$stmt->execute(array(':uid' => $sessionUid));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['email']) > 0 ) {

				$emailcheck=$row['email'];

				$request=$Cl_function_one->email_new_link($sessionUid,$emailcheck);

				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);

				}
				else
				{
					$error[]="Something went wrong! please refresh this page and try again.!";
				}
			}

	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}



//save new pincode logged
if(isset($_POST['savepincodelogged']))
{
	$seccode_old = Cl_Secure($_POST['seccode_old']);
	$seccode_new = Cl_Secure($_POST['seccode_new']);
	$uid = Cl_Secure($_POST['uid']);

	if($seccode_old=="")	{
		$error[] = "Please enter your old 4 digits pincode";
	}
	elseif( strlen($seccode_old) < 4 || strlen($seccode_old) > 4 )	{
		$error[] = "Remember your pincode is only 4 digits, please check and try it again!";
	}
	else if($seccode_new=="")	{
		$error[] = "Please enter new 4 digits pincode";
	}
	elseif( strlen($seccode_new) < 4 || strlen($seccode_new) > 4 )	{
		$error[] = "New Pin code should not be less or more than 4 digits";
	}
	else
	{
			if (strlen(trim($seccode_old))>0)
			{

				$stmt = $Cl_function_one->runQuery("SELECT pin_code FROM cl_users WHERE uid=:uid");
				$stmt->execute(array(':uid' => $uid));
				$row = $stmt->fetch(PDO::FETCH_ASSOC);

				if ($row['pin_code'] != $seccode_old) {
					$error[] = "Invalid Pin Code";
				}
				else
				{
					$request=$Cl_function_one->change_logged_pincode($seccode_new,$uid);
					if($request){

						$data  = array(
							'status' => 200,
							'message' => $success_icon
						);

					}
				}
			}
			else
			{
				$error[] = "Please enter numbers only!";
			}

	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//save new password logged
if(isset($_POST['savepasswordlogged']))
{
	$password_old = Cl_Secure($_POST['password_old']);
	$password_new = Cl_Secure($_POST['password_new']);
	$password_newc = Cl_Secure($_POST['password_newc']);
	$uid = Cl_Secure($_POST['uid']);

	if($password_old=="")	{
		$error[] = "Please enter your old password";
	}
	else if($password_new=="")	{
		$error[] = "New password must be at least 4 characters";
	}
	else if($password_new != $password_newc)	{
		$error[] = "New password not match!";
	}
	else
	{
			if (strlen(trim($password_old))>0)
			{

				$md5_password=md5($password_old);
				$stmt = $Cl_function_one->runQuery("SELECT uid,password FROM cl_users WHERE uid=:uid");
				$stmt->execute(array(':uid' => $uid));
				$row = $stmt->fetch(PDO::FETCH_ASSOC);

				if ($row['password'] !=  $md5_password) {
					$error[] = "Invalid Old Password";
				}
				else
				{
					$request=$Cl_function_one->change_logged_password($password_new,$uid);
					if($request){

						$data  = array(
							'status' => 200,
							'message' => $success_icon
						);

					}
				}
			}
			else
			{
				$error[] = "Please enter your old password!";
			}

	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


/*#### contact #####*/
if(isset($_POST['contact']))
{
	$name = Cl_Secure($_POST['name']);
	$email = Cl_Secure($_POST['email']);
	$adid = Cl_Secure($_POST['adid']);
	$tel = Cl_Secure($_POST['tel']);
	$message = Cl_Secure($_POST['msg']);
	//$captcha=Cl_Secure($_POST['captcha']);

	if($name=="") {
		$error[] = "please enter your name !";
	}
	else if($email=="")	{
		$error[] = "Please provide a valid email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}
	else if($tel=="")	{
		$error[] = "Please enter your phone number";
	}
	else if($message=="")	{
		$error[] = "Your message must not be empty!";
	}
	else
	{
		$contact_response=cl_contact($name,$email,$adid,$tel,$message);
		if($contact_response){

			$data  = array(
				'status' => 200,
				'message' => $success_icon
			);

		}else
		{
			$error[] = "Something went wrong, please refresh this page and try again.";
		}


	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function for user to boost Ad
if(isset($_POST['boost_advert']))
{
	$advert_id=Cl_Secure($_POST['advert']);
	$uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['token']){
		$stmt =runQuery("SELECT wallet FROM cl_users WHERE uid=:uid");
		$stmt->execute(array(':uid' => $uid));
		$user_data = $stmt->fetch(PDO::FETCH_ASSOC);
		$wallet=$user_data['wallet'];
		if(strlen($wallet) < 1){
			$error[] = "<strong>Sorry!</strong> You are unable to boost this Ad, your wallet remain <b>".$wallet."</b> Ads to boost";
		}else{
			if($advert_id){
				$cl_advert_boost=cl_advert_boost_process($advert_id,$wallet,$uid);
				if($cl_advert_boost){
					$message="Boosted successfully";
					$url=Slim_Link('index.php?page=myads');
					$data  = array(
					'status' => 200,
					'message' => $message,
					'url' => $url
					);
				}
				else{
				$error[] = "<strong>Sorry!</strong> We are unable to boost your advert now, please refresh this page and try it again.";
				}
			}
			else{
				$error[] = "<strong>Sorry!</strong> We are unable to boost your advert now, please refresh this page and try it again.";
			}
		}
	}else{
		$error[] = "<strong>Oops!</strong> something went wrong, please refresh this page and try it again. If the problem persist, please logout and re-login.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

?>
