<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

/*#########################  Admin Function Base  ########################*/


//Login cl_admin */
function cl_admin_Login($username,$password)
{
	$db = getDB();
	$hash_password=md5($password);
	$stmt = $db->prepare("SELECT * FROM cl_admin_user WHERE admin_username=:username and admin_password=:hash_password and admin_status=:status");
	$stmt->bindParam(":username", $username,PDO::PARAM_STR) ;
	$stmt->bindParam(":hash_password", $hash_password,PDO::PARAM_STR) ;
	$status='1';
	$stmt->bindParam(":status", $status,PDO::PARAM_INT) ;
	$stmt->execute();
	if($stmt->rowCount()==1)
	{
		/*
		$sql1 = "SELECT * FROM cl_admin_user WHERE admin_username=:username";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":username", $username, PDO::PARAM_STR);
		$stmt1->execute();
		$userDataUid = $stmt1->fetchAll(PDO::FETCH_OBJ);
		$admin_uid=$userDataUid[0]->admin_uid;

		 secure admin account
		if($admin_uid){
			$sql8="UPDATE cl_admin_user SET pincode_check ='1' WHERE admin_username=:username and admin_password=:hash_password and admin_status=:status";
			$stmt8 = $db->prepare($sql8);
			$stmt8->bindParam(":username", $username,PDO::PARAM_STR) ;
			$stmt8->bindParam(":hash_password", $hash_password,PDO::PARAM_STR) ;
			$status='1';
			$stmt8->bindParam(":status", $status,PDO::PARAM_INT) ;
			$stmt8->execute();
		}*/

		$row = $stmt->fetch(PDO::FETCH_OBJ);
		$data = json_decode(json_encode($row),true);
		$db = null;
		return $data['admin_uid'];
	}
	else
	{
		$db = null;
		return false;
	}

}

//recovery password via email
function cl_admin_reset_password($email,$url)
{

	try {
		if(strlen($email)>0)
		{
			$db = getDB();
			$sql = "SELECT admin_uid FROM cl_admin_user WHERE admin_email=:admin_email ";
			$stmt = $db->prepare($sql);
			$stmt->bindParam(":admin_email", $email,PDO::PARAM_STR);
			$stmt->execute();
			$count = $stmt->rowCount();
			$adminDataA = $stmt->fetchAll(PDO::FETCH_OBJ);

			if($count>0)
			{
				$sql1 = "SELECT admin_email, admin_username FROM cl_admin_user WHERE admin_uid=:admin_uid";
				$stmt1 = $db->prepare($sql1);
				$admin_uid=$adminDataA[0]->admin_uid;
				$stmt1->bindParam(":admin_uid", $admin_uid, PDO::PARAM_INT);
				$stmt1->execute();
				$adminData = $stmt1->fetchAll(PDO::FETCH_OBJ);
				$email=$adminData[0]->admin_email;
				$name=$adminData[0]->admin_username;


				$forgotKey=2020;
				$active_code=md5($email.$forgotKey.time());

				$sql2 = "UPDATE cl_admin_user SET admin_forgot_code=:active_code WHERE admin_uid=:admin_uid";
				$stmt2= $db->prepare($sql2);
				$stmt2->bindParam(":admin_uid", $admin_uid, PDO::PARAM_INT);
				$stmt2->bindParam(":active_code", $active_code);
				$stmt2->execute();

				$applicationName=SITE_NAME;

				if(SMTP_CONNECTION > 0)
				{
					$to=$email;
					$emailName=$name;
					$resetPasswordUrl=$url."reset-password?_link=".$active_code;
					$subject ='Admin Password Request';
					$body="<div style='width: 100%;'><div style='margin: 1em;'>Hello <b>".$emailName."</b>,<br/>you have recently asked to reset your account password. <br/>Click below button to reset it now<br/><br/><a style='height:32px; background-color:#0179A0; border: 1px solid #0179A0; color:#fff;  padding:0.3em;' href='".$resetPasswordUrl."'>Reset Now.</a><br/><br/> or Copy this link to your browser <div style='color:#0179A0; padding:1em;'>'".$resetPasswordUrl."'</div><br/><br/><div>Regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
					sendMail($to,$subject,$body);
				}

				$db = null;
				return $stmt2;
			}
			else
			{
				$db = null;
				return false;
			}

		}
	} catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}

// Save Admin New Password
function resetAdmin_Password($npassword , $cpassword, $code)
{

	try {
		if(strlen($code)>0 && strlen($npassword)>0 && strlen($cpassword)>0 && $npassword==$cpassword )
		{
			$db = getDB();
			$sql = "SELECT admin_uid FROM cl_admin_user WHERE admin_forgot_code=:code";
			$stmt = $db->prepare($sql);
			$stmt->bindParam("code", $code,PDO::PARAM_STR);
			$stmt->execute();
			$count = $stmt->rowCount();
			if($count>0)
			{
				$sql2 = "UPDATE cl_admin_user SET admin_password=:password, admin_forgot_code='' WHERE admin_forgot_code=:code";
				$stmt2= $db->prepare($sql2);
				$password=md5($npassword);
				$stmt2->bindParam("password", $password);
				$stmt2->bindParam("code", $code);
				$stmt2->execute();

				$row = $stmt->fetch(PDO::FETCH_OBJ);
				$data = json_decode(json_encode($row),true);

				$db = null;
				return $data['admin_uid'];
			}
			else
			{
				$db = null;
				return false;
			}
		}
		else
		{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}

//All registered users
function get_total_registered_users($admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();
			$TotalRegisteredUsers=array();
			$sql = "SELECT * FROM cl_users";
			$stmt = $db->prepare($sql);
			$stmt->execute();
			$TotalRegisteredUsers = $stmt->rowCount();

			$db = null;
			return $TotalRegisteredUsers;

		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Get all submitted adverts
function get_total_adverts_submitted($admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();
			$TotalSubmittedAdverts=array();
			$sql = "SELECT * FROM cl_adproduct_storage";
			$stmt = $db->prepare($sql);
			$stmt->execute();
			$TotalSubmittedAdverts = $stmt->rowCount();

			$db = null;
			return $TotalSubmittedAdverts;

		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Get all boosted adverts
function get_total_adverts_boosted($admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();
			$TotalAdvertsBoosted=array();
			$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_feature='1'";
			$stmt = $db->prepare($sql);
			$stmt->execute();
			$TotalAdvertsBoosted = $stmt->rowCount();

			$db = null;
			return $TotalAdvertsBoosted;

		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Get all banned adverts
function get_total_adverts_banned($admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();
			$TotalAdvertsBanned=array();
			$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_status='2'";
			$stmt = $db->prepare($sql);
			$stmt->execute();
			$TotalAdvertsBanned = $stmt->rowCount();

			$db = null;
			return $TotalAdvertsBanned;

		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//general settings (website info)
function gsettings_web_info($webname, $webtitle, $webtags, $aboutweb, $webemail, $webphone, $weboffice_address, $admin_uid)
{
	try
	{
		if($admin_uid){

			$db = getDB();

			$sql7="UPDATE cl_config SET web_name=:webname, web_title=:webtitle, web_tag=:webtags, web_about=:aboutweb, web_support_email=:webemail, web_phone=:webphone, web_office_address=:weboffice_address WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":webname", $webname, PDO::PARAM_STR);
			$stmt7->bindParam(":webtitle", $webtitle, PDO::PARAM_STR);
			$stmt7->bindParam(":webtags", $webtags, PDO::PARAM_STR);
			$stmt7->bindParam(":aboutweb", $aboutweb, PDO::PARAM_STR);
			$stmt7->bindParam(":webemail", $webemail, PDO::PARAM_STR);
			$stmt7->bindParam(":webphone", $webphone, PDO::PARAM_STR);
			$stmt7->bindParam(":weboffice_address", $weboffice_address, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//general settings (website social handle)
function gsettings_web_social_handle($fb, $tw, $insta, $flickr, $lin, $sky, $plus, $dribbble, $admin_uid)
{
	try
	{
		if($admin_uid){

			$db = getDB();

			$sql7="UPDATE cl_config SET web_social_facebook=:fb, web_social_twitter=:tw, web_social_instagram=:insta, web_social_flickr=:flickr,
			web_social_linkedin=:lin, web_social_skype=:sky, web_social_google_plus=:plus, web_social_dribble=:dribbble WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":fb", $fb, PDO::PARAM_STR);
			$stmt7->bindParam(":tw", $tw, PDO::PARAM_STR);
			$stmt7->bindParam(":insta", $insta, PDO::PARAM_STR);
			$stmt7->bindParam(":flickr", $flickr, PDO::PARAM_STR);
			$stmt7->bindParam(":lin", $lin, PDO::PARAM_STR);
			$stmt7->bindParam(":sky", $sky, PDO::PARAM_STR);
			$stmt7->bindParam(":plus", $plus, PDO::PARAM_STR);
			$stmt7->bindParam(":dribbble", $dribbble, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//smtp settings (website email)
function smtp_email_settings_function($smtp_connection, $smtp_username, $smtp_password, $smtp_host, $smtp_port, $smtp_from_email, $smtp_from_title, $admin_uid)
{
	try
	{
		if($admin_uid){

			$db = getDB();

			$sql7="UPDATE cl_config SET smtp_setting_connection=:smtp_setting_connection, smtp_setting_username=:smtp_setting_username, smtp_setting_password=:smtp_setting_password,
			smtp_setting_host=:smtp_setting_host, smtp_setting_port=:smtp_setting_port, smtp_setting_from_email=:smtp_setting_from_email, smtp_setting_from_title=:smtp_setting_from_title WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":smtp_setting_connection", $smtp_connection, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_username", $smtp_username, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_password", $smtp_password, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_host", $smtp_host, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_port", $smtp_port, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_from_email", $smtp_from_email, PDO::PARAM_STR);
			$stmt7->bindParam(":smtp_setting_from_title", $smtp_from_title, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//site settings (photos uploading)
function site_settings_function($maxphotosize_upload, $registration_verification, $admin_uid)
{
	try
	{
		if($admin_uid){

			$db = getDB();

			$sql7="UPDATE cl_config SET site_settings_maxsizephoto=:maxphotosize_upload, app_registration_verification=:registration_verification WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":maxphotosize_upload", $maxphotosize_upload, PDO::PARAM_STR);
			$stmt7->bindParam(":registration_verification", $registration_verification, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//maintenance mode settings
function maintenance_settings_function($maintenance_id, $admin_uid)
{
	try
	{
		if($admin_uid){

			$db = getDB();

			$sql7="UPDATE cl_config SET maintenance_settings=:maintenance_settings WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":maintenance_settings", $maintenance_id, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Ad package feature settings
function ad_package_feature_settings($package_name, $package_price, $package_ad_quantity, $package_nameb, $package_priceb, $package_ad_quantityb, $package_namec, $package_pricec, $package_ad_quantityc, $admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();

			$sql7="UPDATE cl_config SET package_a_name=:package_name, package_a_price=:package_price, package_a_quantity=:package_ad_quantity,
			package_b_name=:package_nameb, package_b_price=:package_priceb, package_b_quantity=:package_ad_quantityb,
			package_c_name=:package_namec, package_c_price=:package_pricec, package_c_quantity=:package_ad_quantityc WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":package_name", $package_name, PDO::PARAM_STR);
			$stmt7->bindParam(":package_price", $package_price, PDO::PARAM_STR);
			$stmt7->bindParam(":package_ad_quantity", $package_ad_quantity, PDO::PARAM_STR);
			$stmt7->bindParam(":package_nameb", $package_nameb, PDO::PARAM_STR);
			$stmt7->bindParam(":package_priceb", $package_priceb, PDO::PARAM_STR);
			$stmt7->bindParam(":package_ad_quantityb", $package_ad_quantityb, PDO::PARAM_STR);
			$stmt7->bindParam(":package_namec", $package_namec, PDO::PARAM_STR);
			$stmt7->bindParam(":package_pricec", $package_pricec, PDO::PARAM_STR);
			$stmt7->bindParam(":package_ad_quantityc", $package_ad_quantityc, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Bank payment settings
function bank_payment_settings_function($bank_name, $bank_account, $bank_sort_code, $bank_iban, $bank_bic, $admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();

			$sql7="UPDATE cl_config SET app_bank_name=:bank_name, app_bank_account_number=:bank_account, app_bank_sort_code=:bank_sort_code, app_bank_iban=:bank_iban, app_bank_bic=:bank_bic WHERE web_id='1'";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":bank_name", $bank_name, PDO::PARAM_STR);
			$stmt7->bindParam(":bank_account", $bank_account, PDO::PARAM_STR);
			$stmt7->bindParam(":bank_sort_code", $bank_sort_code, PDO::PARAM_STR);
			$stmt7->bindParam(":bank_iban", $bank_iban, PDO::PARAM_STR);
			$stmt7->bindParam(":bank_bic", $bank_bic, PDO::PARAM_STR);
			$stmt7->execute();

			$db = null;
			return true;
		}
		else{
			$db = null;
			return true;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List of all users
function list_of_all_users_data()
{
	try
	{
		$db = getDB();
		$list_of_users=array();
		$sql = "SELECT * FROM cl_users ORDER BY uid DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$list_of_users = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_users;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List of all active users
function list_of_all_active_users_data()
{
	try
	{
		$db = getDB();
		$list_of_users=array();
		$sql = "SELECT * FROM cl_users WHERE status='1' ORDER BY uid DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$list_of_users = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_users;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List of all banned users
function list_of_all_banned_users_data()
{
	try
	{
		$db = getDB();
		$list_of_users=array();
		$sql = "SELECT * FROM cl_users WHERE status='2' ORDER BY uid DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$list_of_users = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_users;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//List of all inactive users (unverified accounts)
function list_of_all_inactive_users_data()
{
	try
	{
		$db = getDB();
		$list_of_users=array();
		$sql = "SELECT * FROM cl_users WHERE status='0' ORDER BY uid DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$list_of_users = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_users;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Ban user function
function cl_ban_user_process($admin_uload_path,$user_id)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_users SET status='2' WHERE uid=:uid";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":uid", $user_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Unbanned user function
function cl_unban_user_process($admin_uload_path,$user_id)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_users SET status='1' WHERE uid=:uid";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":uid", $user_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Delete user permanently
function cl_delete_user_process($admin_uload_path,$user_id)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_users WHERE uid=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $user_id,PDO::PARAM_INT);
		$stmt->execute();
		$user_details = $stmt->fetchAll(PDO::FETCH_OBJ);
		$user_photo_address=$user_details[0]->profile_pic;

		//check if user as profile photo and get it deleted
		if($user_photo_address){
			$path=$admin_uload_path."profile/".$user_photo_address;
			if(file_exists($path)){
				unlink($path);
			}
		}

		$sql2 = "SELECT * FROM cl_ad_photos_upload WHERE uid_fk=:uid ORDER BY id";
		$stmt2 = $db->prepare($sql2);
		$stmt2->bindParam(":uid", $user_id,PDO::PARAM_INT);
		$stmt2->execute();
		$adphoto_details = $stmt2->fetchAll(PDO::FETCH_OBJ);

		$adphotoCount=count($adphoto_details);
		for($z=0;$z<$adphotoCount;$z++){
			$path=$admin_uload_path.$adphoto_details[$z]->image_path;
			if(file_exists($path)){
				if(unlink($path)){
					//delete all photos of the Ad
					$s5="DELETE FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id AND uid_fk=:uid_fk";
					$stmt5 = $db->prepare($s5);
					$ad_id=$adphoto_details[$z]->ad_id_fk;
					$stmt5->bindParam(":ad_id", $ad_id, PDO::PARAM_INT);
					$stmt5->bindParam(":uid_fk", $user_id, PDO::PARAM_INT);
					$stmt5->execute();

					//delete Ad from the favorite table
					$s6="DELETE FROM cl_favourite_ads WHERE f_ad_id_fk=:ad_id";
					$stmt6 = $db->prepare($s6);
					$ad_id=$adphoto_details[$z]->ad_id_fk;
					$stmt6->bindParam(":ad_id", $ad_id, PDO::PARAM_INT);
					$stmt6->execute();
				}
			}
		}

		//delete all ads posted by this user
		$s5="DELETE FROM cl_adproduct_storage WHERE ad_user_id_fk=:uid_fk";
		$stmt5 = $db->prepare($s5);
		$stmt5->bindParam(":uid_fk", $user_id, PDO::PARAM_INT);
		$stmt5->execute();

		//delete user from the users table
		$s6="DELETE FROM cl_users WHERE uid=:uid";
		$stmt6 = $db->prepare($s6);
		$stmt6->bindParam(":uid", $user_id, PDO::PARAM_INT);
		$stmt6->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}



//List all  active adverts
function list_of_all_adverts_active($admin_uid)
{
	try
	{
		$db = getDB();
		$list_of_all_ads=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' ORDER BY ad_id DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$count = $stmt->rowCount();
		$list_of_all_ads = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_all_ads;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List of all inactive & banned adverts
function list_of_all_adverts_inactive_banned($admin_uid)
{
	try
	{
		$db = getDB();
		$list_of_all_ads=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE (ad_status='2' OR ad_status='0') ORDER BY ad_id DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$count = $stmt->rowCount();
		$list_of_all_ads = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_all_ads;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List all  featured adverts
function list_of_featured_adverts($admin_uid)
{
	try
	{
		$db = getDB();
		$list_of_all_ads=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_feature='1' AND ad_status='1' ORDER BY RAND() DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$count = $stmt->rowCount();
		$list_of_all_ads = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_all_ads;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}



//Ban advert function
function cl_ban_ad_process($ad_id)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adproduct_storage SET ad_status='2' WHERE ad_id=:ad_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Unbanned advert function
function cl_unban_ad_process($ad_id)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adproduct_storage SET ad_status='1' WHERE ad_id=:ad_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Delete advert  function
function cl_admin_advert_delete_process($admin_uload_path,$advert_id,$admin_uid)
{
	try
	{
		$db = getDB();

		$s5="DELETE FROM cl_adproduct_storage WHERE ad_id=:ad_id";
		$stmt5 = $db->prepare($s5);
		$stmt5->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
		$stmt5->execute();

		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id ORDER BY id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $advert_id,PDO::PARAM_INT);
		$stmt->execute();
		$adphoto_details = $stmt->fetchAll(PDO::FETCH_OBJ);

		$adphotoCount=count($adphoto_details);
		for($z=0;$z<$adphotoCount;$z++){
			$path=$admin_uload_path.$adphoto_details[$z]->image_path;
			if(file_exists($path)){
				if(unlink($path)){
					//delete all photos of the Ad
					$s5="DELETE FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id";
					$stmt5 = $db->prepare($s5);
					$stmt5->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
					$stmt5->execute();

					//delete Ad from the favorite table
					$s6="DELETE FROM cl_favourite_ads WHERE f_ad_id_fk=:ad_id";
					$stmt6 = $db->prepare($s6);
					$stmt6->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
					$stmt6->execute();
				}
			}
		}
		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Count number of Advert posted by each user
function get_total_ads_posted_bythis_user($user_id)
{
	try
	{
		$db = getDB();
		$User_adposted_count=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:user_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":user_id", $user_id,PDO::PARAM_INT);
		$stmt->execute();
		$User_adposted_count = $stmt->rowCount();

		$db = null;
		return $User_adposted_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get new payment data function
function get_new_payment_data($admin_uid)
{
	try
	{
		$db = getDB();
		$NewPaymentData=array();
		$sql = "SELECT * FROM cl_adbooster_orders WHERE payment_status ='2' ORDER BY id DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$NewPaymentData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $NewPaymentData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get payment history data function
function payment_history_data($admin_uid)
{
	try
	{
		$db = getDB();
		$paymenthistoryData=array();
		$sql = "SELECT * FROM cl_adbooster_orders WHERE payment_status !='0' AND payment_status !='2'  ORDER BY id DESC";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$paymenthistoryData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $paymenthistoryData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Approve new payment of bank transfer
function cl_approve_payment_process($payment_id,$payment_type)
{
	try
	{
		$db = getDB();
		//get user owner details from transaction table
		$sql = "SELECT * FROM cl_adbooster_orders WHERE id=:payment_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":payment_id", $payment_id,PDO::PARAM_INT);
		$stmt->execute();
		$Details = $stmt->fetchAll(PDO::FETCH_OBJ);
		$user_id=$Details[0]->uid_fk;
		$Credit=$Details[0]->plan_quantity;
		$plan_price=$Details[0]->plan_price;

		$sql3 = "UPDATE cl_adbooster_orders SET payment_status='1' WHERE id=:payment_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":payment_id", $payment_id,PDO::PARAM_INT);
		$stmt3->execute();

		//get user old balance
		$sql = "SELECT * FROM cl_users WHERE uid=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $user_id,PDO::PARAM_INT);
		$stmt->execute();
		$user_details = $stmt->fetchAll(PDO::FETCH_OBJ);
		$user_old_wallet_balance=$user_details[0]->wallet;

		if($Credit){
			//credit payment owner (user) wallet after the approval
			$sql3 = "UPDATE cl_users SET wallet=:new_Wallet WHERE uid=:uid";
			$stmt3 = $db->prepare($sql3);
			$new_Wallet= $user_old_wallet_balance + $Credit;
			$stmt3->bindParam(":new_Wallet", $new_Wallet,PDO::PARAM_STR);
			$stmt3->bindParam(":uid", $user_id,PDO::PARAM_INT);
			$stmt3->execute();

			/*##### update website/company revenue wallet#####*/

				//get revenue old balance
				$sql6 = "SELECT * FROM cl_revenue";
				$stmt6 = $db->prepare($sql6);
				$stmt6->execute();
				$RevenueBalance = $stmt6->fetchAll(PDO::FETCH_OBJ);
				$revenue_banktransfer=$RevenueBalance[0]->revenue_banktransfer;
				$total_revenue=$RevenueBalance[0]->total_revenue;

				$sql5 = "UPDATE cl_revenue SET revenue_banktransfer=:payment, total_revenue=:payment_total";
				$stmt5 = $db->prepare($sql5);
				$payment= $revenue_banktransfer + $plan_price;
				$stmt5->bindParam(":payment", $payment,PDO::PARAM_STR);
				$payment_total= $total_revenue + $plan_price;
				$stmt5->bindParam(":payment_total", $payment_total,PDO::PARAM_STR);
				$stmt5->execute();

			/*###### end ######*/

			$db = null;
			return true;
		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Decline new payment of bank transfer
function cl_decline_payment_process($payment_id,$payment_type)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adbooster_orders SET payment_status='3' WHERE id=:payment_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":payment_id", $payment_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//List of all users
function get_total_revenue_earning($admin_uid)
{
	try
	{
		if($admin_uid){
			$db = getDB();
			$total_revenueData=array();
			$sql = "SELECT * FROM cl_revenue";
			$stmt = $db->prepare($sql);
			$stmt->execute();
			$total_revenueData = $stmt->fetchAll(PDO::FETCH_OBJ);
			$total_revenue=$total_revenueData[0]->total_revenue;

			$db = null;
			return $total_revenue;
		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//run db query
function runQueryAdmin($sql)
{
	$db = getDB();
	$stmt = $db->prepare($sql);
	$db = null;
	return $stmt;

}


//update profile
	function cl_adminprofile_update_process($firstname,$lastname,$username,$email,$admin_uid)
    {
        try
        {
            $db = getDB();

			$sql = "UPDATE cl_admin_user SET admin_first_name=:admin_first_name, admin_last_name=:admin_last_name, admin_username=:admin_username, admin_email=:admin_email WHERE admin_uid=:admin_uid";
            $stmt2 = $db->prepare($sql);
            $stmt2->bindparam(":admin_first_name", $firstname, PDO::PARAM_STR);
            $stmt2->bindparam(":admin_last_name", $lastname, PDO::PARAM_STR);
            $stmt2->bindparam(":admin_username", $username, PDO::PARAM_STR);
            $stmt2->bindparam(":admin_email", $email, PDO::PARAM_STR);
            $stmt2->bindparam(":admin_uid", $admin_uid, PDO::PARAM_INT);
            $stmt2->execute();

            $db = null;
            return true;
        }
        catch(PDOException $e)
        {
            echo $e->getMessage();
        }
    }

	//update password
	function cl_adminprofile_password_update_process($npassword,$admin_uid)
    {
        try
        {
            $db = getDB();

			$sql = "UPDATE cl_admin_user SET admin_password=:admin_password WHERE admin_uid=:admin_uid";
            $stmt2 = $db->prepare($sql);
			$password=md5($npassword);
            $stmt2->bindparam(":admin_password", $password, PDO::PARAM_STR);
			$stmt2->bindparam(":admin_uid", $admin_uid, PDO::PARAM_INT);
            $stmt2->execute();

            $db = null;
            return true;
        }
        catch(PDOException $e)
        {
            echo $e->getMessage();
        }
    }



	//get profile details
	function cl_get_adminprofile_details($admin_uid)
    {
        try
        {
            $db = getDB();
			if($admin_uid){
				$sql3 = "SELECT * FROM cl_admin_user WHERE admin_uid=:admin_uid";
				$stmt3 = $db->prepare($sql3);
				$stmt3->bindParam(":admin_uid", $admin_uid,PDO::PARAM_INT);
				$stmt3->execute();
				$Profile_Data = $stmt3->fetchAll(PDO::FETCH_OBJ);

				$db = null;
				return $Profile_Data;
			}else{
				$db = null;
				return false;
			}
        }
        catch(PDOException $e)
        {
            echo $e->getMessage();
        }
    }


?>
