<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

session_start();

include_once('../../assets/connection/cl_config.php');

define('DB_SERVER', $db_host);
define('DB_USERNAME', $db_username);
define('DB_PASSWORD', $db_password);
define('DB_DATABASE', $db_name);

/* PDO Connection 1 */
function getDB()
{
	$dbhost = DB_SERVER; 	// do not change it
	$dbname = DB_DATABASE;	// do not change it
	$dbuser = DB_USERNAME;	// do not change it
	$dbpass = DB_PASSWORD; 	// do not change it

	$dbConnection = new PDO("mysql:host=$dbhost;dbname=$dbname", $dbuser, $dbpass);	//Other database change PDO configuration
	$dbConnection->exec("set names utf8");
	$dbConnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	return $dbConnection;
}

/*MYQSLI Connection 2 */
$con = new mysqli(DB_SERVER,DB_USERNAME,DB_PASSWORD,DB_DATABASE);
if (mysqli_connect_errno($con)) {
    exit(mysqli_connect_error());
}

include_once('../../assets/includes/function_general.php');
include_once('../../assets/includes/function_one.php');
include_once('../../assets/includes/function_two.php');
include_once('../../assets/includes/app_core.php');


include('admin_function.php');

//login

if(isset($_POST['cladmin_log']))
{
	global $cl, $config;

	if (!empty($_SESSION['admin_uid'])) {
        $_SESSION['admin_uid'] = '';
        unset($_SESSION['admin_uid']);
    }

	$username=Cl_Secure($_POST['username']);
	$password=Cl_Secure($_POST['password']);
	//$captcha=Cl_Secure($_POST['captcha']);
	$username_check = preg_match('~^[A-Za-z0-9_]{3,20}$~i', $username);
	$password_check = preg_match('~^[A-Za-z0-9!@#$%^&*()_]{4,20}$~i', $password);
	//$response=$_POST['captcha'];

	if($username=="")	{
		$error[] = "Please enter your username";
	}
	elseif($password=="")	{
		$error[] = "Please enter your password";
	}
	else if (strlen($username) <1 && $username_check < 1)	{
			$error[]="Please enter valid username!";
	}
	/*else if ($_SESSION["captcha"]!=$captcha)	{
			$error[]="Please enter valid captcha!";
	}*/
	else if (strlen($password)>0) {

			$hash_password=md5($password);
			$stmt = runQuery("SELECT admin_username,admin_password,admin_status FROM cl_admin_user WHERE admin_username=:username");
			$stmt->execute(array(':username' => $username));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['admin_username']) <1) {
				$error[] = "Invalid Username or Password";
			}
			elseif ($row['admin_password'] !=  $hash_password) {
				$error[] = "Invalid Username or Password";
			} else if ($row['admin_status'] == "2") {
				$error[] = "This account has been banned. Please contact our support";
			} else {
				$admin_login=cl_admin_Login($username,$password);
				if($admin_login)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
					$_SESSION['admin_uid']=$admin_login;
					//create token for login session to avoid CSRF
					$admin_token = md5(uniqid(rand(),true));
					//$admin_token=base64_encode(openssl_random_pseudo_bytes(32));
					$_SESSION['admin_token']=$admin_token;
					//end token
					$url=$cl['admin_base_url'];
					$data['location'] = $url.'dashboard';
				}
				else
				{
					$error[]="Something went wrong, please refresh this page and try again!";
				}
			}
		}
		else
		{
			$error[]="Please enter valid password!";
		}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//admin forgot password function
if(isset($_POST['admin_forgot_pass']))
{
	$email=Cl_Secure($_POST['email']);
$add_url=Cl_Secure($_POST['add_url']);
    //$response=$_POST['captcha'];

	if($email=="")	{
		$error[] = "please enter your email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}/*
	else if($response=="") {
		$error[] = "please check the recaptcha to proof you are not a robot!";
	}*/

	else{

			$stmt = runQuery("SELECT admin_email FROM cl_admin_user WHERE admin_email=:email");
		 	$stmt->execute(array(':email' => $email));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if (strlen($row['admin_email']) <1) {
				$error[] = "<strong>Hmm!</strong> are you the admin? email you entered was not correct.";
			}
			 else {
		$url=$add_url;
				$request=cl_admin_reset_password($email,$url);
				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
				}
				else
				{
					$error[]="<strong>Hmm!</strong> are you the admin? email you entered was not correct.";
				}
			}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//reset admin new password
if(isset($_POST['resetp']))
{
	$npassword=Cl_Secure($_POST['password']);
	$cpassword=Cl_Secure($_POST['cpassword']);
	$code=Cl_Secure($_POST['code']);


	if($npassword=="")	{
		$error[] = "please enter new password";
	}
	elseif($cpassword=="")	{
		$error[] = "please re-enter your new password";
	}
	elseif($npassword != $cpassword)	{
		$error[] = "Password not match!";
	}
	elseif($code=="")	{
		$error[] = "Something went wrong! please refresh this page now.";
	}

	else{
			if (strlen($npassword)>0  && strlen($cpassword)>0 )
			{
				$request=resetAdmin_Password($npassword , $cpassword, $code);

				if($request)
				{
					$url= $cl['admin_base_url'];
					$data  = array(
						'status' => 200,
						'message' => $success_icon,
						'location' => $url.'dashboard'
					);
				}
				else
				{
					$error[]="Something went wrong! please refresh this page now.";
				}
			}
			else
			{
				$error[]="Please enter valid password.";
			}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//general settings (web info)
if(isset($_POST['gsettings_webinfo']))
{
	$webname = Cl_Secure($_POST['webname']);
	$webtitle = Cl_Secure($_POST['webtitle']);
	$webtags = Cl_Secure($_POST['webtags']);
	$aboutweb = Cl_Secure($_POST['aboutweb']);
	$webemail = Cl_Secure($_POST['webemail']);
	$webphone = Cl_Secure($_POST['webphone']);
	$weboffice_address = Cl_Secure($_POST['weboffice_address']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if($webname=="")	{
		$error[] = "Please enter new website name";
	}
	elseif($webtitle=="")	{
		$error[] = "Please enter your website title";
	}
	elseif($webtags =="")	{
		$error[] = "Please enter your website tags to increase your website ranking (e.g Classified, best products, etc.) ";
	}
	elseif($aboutweb =="")	{
		$error[] = "Kindly describe about your website";
	}
	elseif($webemail =="")	{
		$error[] = "Please enter your website email";
	}
	elseif($webphone =="")	{
		$error[] = "Please enter your website phone contact";
	}
	elseif($weboffice_address=="")	{
		$error[] = "Please enter your website office address";
	}
	else{
		if($token == $_SESSION['admin_token']){
			if ($admin_uid)
			{
				$request=gsettings_web_info($webname, $webtitle, $webtags, $aboutweb, $webemail, $webphone, $weboffice_address, $admin_uid);

				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
				}
				else
				{
					$error[]="Something went wrong! please refresh this page now.";
				}
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}else{
			$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//general settings (web socila handle)
if(isset($_POST['gsettings_websocial']))
{
	$fb = Cl_Secure($_POST['social_fb']);
    $tw = Cl_Secure($_POST['social_tw']);
    $insta = Cl_Secure($_POST['social_insta']);
    $flickr = Cl_Secure($_POST['social_flickr']);
    $lin = Cl_Secure($_POST['social_lin']);
    $sky = Cl_Secure($_POST['social_sky']);
    $plus = Cl_Secure($_POST['google_plus']);
    $dribbble = Cl_Secure($_POST['dribbble']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if($token == $_SESSION['admin_token']){
		if ($admin_uid)
		{
			$request=gsettings_web_social_handle($fb, $tw, $insta, $flickr, $lin, $sky, $plus, $dribbble, $admin_uid);

			if($request)
			{
				$data  = array(
					'status' => 200,
					'message' => $success_icon
				);
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}
		else
		{
			$error[]="Something went wrong! please refresh this page now.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//smtp site email settings
if(isset($_POST['smtp_email_settings']))
{
	$smtp_connection = Cl_Secure($_POST['smtp_connection']);
	$smtp_username = Cl_Secure($_POST['smtp_username']);
	$smtp_password = Cl_Secure($_POST['smtp_password']);
	$smtp_host = Cl_Secure($_POST['smtp_host']);
	$smtp_port = Cl_Secure($_POST['smtp_port']);
	$smtp_from_email = Cl_Secure($_POST['smtp_from_email']);
	$smtp_from_title = Cl_Secure($_POST['smtp_from_title']);
    $admin_uid = Cl_Secure($_POST['uid']);
    $token = Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if ($admin_uid)
		{
			$request=smtp_email_settings_function($smtp_connection, $smtp_username, $smtp_password, $smtp_host, $smtp_port, $smtp_from_email, $smtp_from_title, $admin_uid);

			if($request)
			{
				$data  = array(
					'status' => 200,
					'message' => $success_icon
				);
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}
		else
		{
			$error[]="Something went wrong! please refresh this page now.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}



//site settings
if(isset($_POST['site_settings']))
{
	$maxphotosize_upload = Cl_Secure($_POST['maxphotosize_upload']);
	$registration_verification = Cl_Secure($_POST['registration_verification']);
    $admin_uid = Cl_Secure($_POST['uid']);
    $token = Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if ($admin_uid)
		{
			$request=site_settings_function($maxphotosize_upload, $registration_verification, $admin_uid);

			if($request)
			{
				$data  = array(
					'status' => 200,
					'message' => $success_icon
				);
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}
		else
		{
			$error[]="Something went wrong! please refresh this page now.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//maintenance settings
if(isset($_POST['maintenance_process']))
{
	$maintenance_id = Cl_Secure($_POST['maintenance_id']);
    $admin_uid = Cl_Secure($_POST['uid']);
    $token = Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if ($admin_uid)
		{
			$request=maintenance_settings_function($maintenance_id, $admin_uid);

			if($request)
			{
				$url=$cl['admin_base_url']."maintenance-settings";
				$data  = array(
					'status' => 200,
					'message' => $success_icon,
					'location' => $url
				);

			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}
		else
		{
			$error[]="Something went wrong! please refresh this page now.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//Ad package feature
if(isset($_POST['adpackage_feature']))
{
	$package_name = Cl_Secure($_POST['package_name']);
	$package_price = Cl_Secure($_POST['package_price']);
	$package_ad_quantity = Cl_Secure($_POST['package_ad_quantity']);
	$package_nameb = Cl_Secure($_POST['package_nameb']);
	$package_priceb = Cl_Secure($_POST['package_priceb']);
	$package_ad_quantityb = Cl_Secure($_POST['package_ad_quantityb']);
	$package_namec = Cl_Secure($_POST['package_namec']);
	$package_pricec = Cl_Secure($_POST['package_pricec']);
	$package_ad_quantityc = Cl_Secure($_POST['package_ad_quantityc']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if ($package_name =="")
	{
		$error[]="Please enter package A name.";
	}
	else if ($package_price =="")
	{
		$error[]="Please enter package A price.";
	}
	else if ($package_ad_quantity =="")
	{
		$error[]="Please enter package A Advert Quantity.";
	}
	elseif ($package_nameb =="")
	{
		$error[]="Please enter package B name.";
	}
	else if ($package_priceb =="")
	{
		$error[]="Please enter package B price.";
	}
	else if ($package_ad_quantityb =="")
	{
		$error[]="Please enter package B Advert Quantity.";
	}
	else if ($package_namec =="")
	{
		$error[]="Please enter package C name.";
	}
	else if ($package_pricec =="")
	{
		$error[]="Please enter package C price.";
	}
	else if ($package_ad_quantityc =="")
	{
		$error[]="Please enter package C Advert Quantity.";
	}
	else{
		if($token == $_SESSION['admin_token']){
			if ($admin_uid)
			{
				$request=ad_package_feature_settings($package_name, $package_price, $package_ad_quantity, $package_nameb, $package_priceb, $package_ad_quantityb, $package_namec, $package_pricec, $package_ad_quantityc, $admin_uid);

				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
				}
				else
				{
					$error[]="Something went wrong! please refresh this page now.";
				}
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}else{
			$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

// bank payment settings
if(isset($_POST['bank_payment_setting']))
{
	$bank_name = Cl_Secure($_POST['bank_name']);
	$bank_account = Cl_Secure($_POST['bank_account']);
	$bank_sort_code = Cl_Secure($_POST['bank_sort_code']);
	$bank_iban = Cl_Secure($_POST['bank_iban']);
	$bank_bic = Cl_Secure($_POST['bank_bic']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if ($bank_name =="")
	{
		$error[]="Please enter your website bank name";
	}
	else if ($bank_account =="")
	{
		$error[]="Please enter your website bank account number";
	}else{
		if($token == $_SESSION['admin_token']){
			if ($admin_uid)
			{
				$request=bank_payment_settings_function($bank_name, $bank_account, $bank_sort_code, $bank_iban, $bank_bic, $admin_uid);

				if($request)
				{
					$data  = array(
						'status' => 200,
						'message' => $success_icon
					);
				}
				else
				{
					$error[]="Something went wrong! please refresh this page now.";
				}
			}
			else
			{
				$error[]="Something went wrong! please refresh this page now.";
			}
		}else{
			$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to ban user
if(isset($_POST['ban_user']))
{
	$user_id=Cl_Secure($_POST['user_to_ban']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $user_id){
			$cl_user_delete=cl_ban_user_process($admin_uload_path,$user_id);
			if($cl_user_delete){
				$message="Banned successfully";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to unbanned user
if(isset($_POST['unban_user']))
{
	$user_id=Cl_Secure($_POST['user_to_unban']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $user_id){
			$cl_user_delete=cl_unban_user_process($admin_uload_path,$user_id);
			if($cl_user_delete){
				$message="Unbanned successfully";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//function to delete user
if(isset($_POST['delete_user_permanently']))
{
	$user_id=Cl_Secure($_POST['id']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $user_id){
			$cl_user_delete=cl_delete_user_process($admin_uload_path,$user_id);
			if($cl_user_delete){
				$message="Deleted successfully";
				$url=$cl['admin_base_url']."users-list";
				$data  = array(
				'status' => 200,
				'message' => $message,
				'url' => $url
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}



//function to ban advert
if(isset($_POST['ban_ad']))
{
	$ad_id=Cl_Secure($_POST['ad_to_ban']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $ad_id){
			$cl_ad_ban=cl_ban_ad_process($ad_id);
			if($cl_ad_ban){
				$message="Advert banned successfully";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to unbanned advert
if(isset($_POST['unban_ad']))
{
	$ad_id=Cl_Secure($_POST['ad_to_unban']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $ad_id){
			$cl_ad_unban=cl_unban_ad_process($ad_id);
			if($cl_ad_unban){
				$message="Advert unbanned successfully";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to delete this user now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function for user to delete their advert
if(isset($_POST['delete_advert']))
{
	$advert_id=Cl_Secure($_POST['advert']);
	$admin_uid=Cl_Secure($_POST['uid']);
	$token=Cl_Secure($_POST['token']);
	if($token == $_SESSION['admin_token']){
		if($advert_id){
			$cl_advert_delete=cl_admin_advert_delete_process($admin_uload_path,$advert_id,$admin_uid);
			if($cl_advert_delete){
				$message="Advert deleted successfully";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
			$error[] = "<strong>Sorry!</strong> We are unable to delete this advert now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> We are unable to delete this advert now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to approve new payment of bank transfer
if(isset($_POST['approve_newpayment']))
{
	$payment_id=$_POST['payment_id'];
	$payment_type=$_POST['payment_type'];
	$admin_uid=$_POST['uid'];
	$token=$_POST['token'];
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $payment_id){
			$cl_approve_payment=cl_approve_payment_process($payment_id,$payment_type);
			if($cl_approve_payment){
				$message="Payment was successfully approved";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to approve this payment now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to approve this payment now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//function to decline payment of bank transfer
if(isset($_POST['decline_payment']))
{
	$payment_id=$_POST['payment_id'];
	$payment_type=$_POST['payment_type'];
	$admin_uid=$_POST['uid'];
	$token=$_POST['token'];
	if($token == $_SESSION['admin_token']){
		if($admin_uid && $payment_id){
			$cl_decline_payment=cl_decline_payment_process($payment_id,$payment_type);
			if($cl_decline_payment){
				$message="Payment was declined";
				$data  = array(
				'status' => 200,
				'message' => $message
				);
			}
			else{
				$error[] = "<strong>Sorry!</strong> The system is unable to decline this payment now, please refresh this page and try it again.";
			}
		}
		else{
			$error[] = "<strong>Sorry!</strong> The system is unable to decline this payment now, please refresh this page and try it again.";
		}
	}else{
		$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
	}
	header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}


//Get new data and update user profile
if(isset($_POST['saveadminprofile']))
{

	$firstname = Cl_Secure($_POST['firstname']);
	$lastname = Cl_Secure($_POST['lastname']);
	$username = Cl_Secure($_POST['username']);
	$email = Cl_Secure($_POST['email']);
	$password = Cl_Secure($_POST['password']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if((strlen($firstname)) <1   )	{
		$error[] = "Please enter your first name.";
	}
	else if((strlen($lastname)) <1   )	{
		$error[] = "Please enter your last name.";
	}
	else if((strlen($username)) <1   )	{
		$error[] = "Please select your username";
	}
	else if($email=="")	{
		$error[] = "Please provide a valid email";
	}
	else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
		$error[] = 'Please enter a valid email address !';
	}
	else if((strlen($password)) < 1 )	{
		$error[] = "Please enter your password ";
	}

	else
	{
		if($token == $_SESSION['admin_token']){
			if ($admin_uid > 0)
			{
				$hash_password=md5($password);
				$stmt = runQueryAdmin("SELECT admin_password FROM cl_admin_user WHERE admin_uid=:admin_uid");
				$stmt->execute(array(':admin_uid' => $admin_uid));
				$row = $stmt->fetch(PDO::FETCH_ASSOC);

				if ($row['admin_password'] !=  $hash_password) {
					$error[] = "Invalid Password, Please check and try it again";
				}
				else{
					$profile_update=cl_adminprofile_update_process($firstname,$lastname,$username,$email,$admin_uid);
					if($profile_update){
						$message="<strong>Saved</strong><br/> Your profile information has successfully saved";
						$data  = array(
							'status' => 200,
							'message' => $message
						);
					}
					else
					{
						$error[] = "<strong>Sorry!</strong> we are unable to update your account now, please refresh this page and try it again.";
					}
				}
			}
			else
			{
				$error[] = "<strong>Sorry!</strong> please refresh this page and try it again.";
			}
		}else{
			$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

//Get new password
if(isset($_POST['saveadminprofile_password']))
{

	$npassword = Cl_Secure($_POST['npassword']);
	$rpassword = Cl_Secure($_POST['rpassword']);
	$crpassword = Cl_Secure($_POST['crpassword']);
	$admin_uid = Cl_Secure($_POST['uid']);
	$token = Cl_Secure($_POST['token']);

	if((strlen($npassword)) <1   )	{
		$error[] = "Please enter your new password.";
	}
	else if(strlen($npassword) < 4){
		$error[] = "Password must be at least 4 characters";
	}
	else if($rpassword =="")	{
		$error[] = "Please re-enter your new password";
	}
	else if($npassword != $rpassword)	{
		$error[] = "New password not match!";
	}
	else
	{
		if($token == $_SESSION['admin_token']){
			$hash_password=md5($crpassword);
			$stmt = runQueryAdmin("SELECT admin_password FROM cl_admin_user WHERE admin_uid=:admin_uid");
			$stmt->execute(array(':admin_uid' => $admin_uid));
			$row = $stmt->fetch(PDO::FETCH_ASSOC);

			if ($row['admin_password'] != $hash_password) {
				$error[] = "<strong>Sorry!</strong><br/> Your current password is not correct, please check and try it again.";
			}else{
				$profile_update=cl_adminprofile_password_update_process($npassword,$admin_uid);
				if($profile_update){
					$message="<strong>Saved</strong><br/> Your new password was successfully saved";
					$data  = array(
						'status' => 200,
						'message' => $message
					);
				}
				else
				{
					$error[] = "<strong>Sorry!</strong> we are unable to update your account now, please refresh this page and try it again.";
				}
			}
		}else{
			$error[] = "<strong>Sorry!</strong> something went wrong, please refresh this page and try it again.";
		}
	}
	 header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();
}

?>
