<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

include 'libs/cl_function_mailer.php';

//Website configuration function from admin panel.
function get_website_config()
{
	global $con, $cl;
	$db = getDB();
	$WebConfigData=array();
	$sql = "SELECT * FROM cl_config WHERE web_id='1'";
	$stmt = $db->prepare($sql);
	$stmt->execute();
	$WebConfigData = $stmt->fetchAll(PDO::FETCH_OBJ);

	$db = null;
	return $WebConfigData;
}

function getLandingPage($page_url='',$customLanding='') {
    global $cl, $lang;

	$page = 'themes/'. $cl['config']['theme'] . '/layout/'. $page_url . '.phtml';

    $page_content = '';
    ob_start();
    include($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}

function getPage($page_url='') {
    global $cl;
    $page = 'themes/'. $cl['config']['theme'] . '/layout/'. $page_url . '.phtml';
    $page_content = '';
    ob_start();
    include($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}

function LoadPage($page_url='') {
    global $cl;
    $page = 'themes/' . $cl['config']['theme'] . '/layout/' . $page_url . '.phtml';
    $page_content = '';
    ob_start();
    include($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}

function LoadAbsoluteFile($page_url='') {
    global $cl;
    $page = $config['site_url'] . $page_url;
    $page_content = '';
    ob_start();
    include($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}

function LoadAdminLayout($page_url = '') {
    global $cl, $config;
    $page = './administrator/layout/' . $page_url . '.phtml';
    $page_content = '';
    ob_start();
    require($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}

function LoadAdminPage($page_url = '') {
    global $cl, $config;
    $page = './administrator/' . $page_url . '.php';
    $page_content = '';
    ob_start();
    require($page);
    $page_content = ob_get_contents();
    ob_end_clean();
    return $page_content;
}



function LoadAdminPath($link = '') {
    global $cl, $config;
    return $cl['config']['admin_url'] . $link;
}

function LoadAdminOtherPath($link = '') {
    global $cl, $config;
    return $cl['config']['theme_url'] . $link;
}


function Slim_Link($query = '') {
    global $cl, $config;
    if ($cl['config']['slim_link'] == 1) {
        $query = preg_replace(array(
            '/^index\.php\?page=admin$/i',
            '/^index\.php\?page=admin&p=([A-Za-z0-9_-]+)$/i',
            '/^index\.php\?page=home$/i',
            '/^index\.php\?page=404$/i',
            '/^index\.php\?page=categories$/i',
            '/^index\.php\?page=category&catname=([A-Za-z0-9_-]+)&catid=([A-Za-z0-9_]+)$/i',
            '/^index\.php\?page=subcategory&catname=([A-Za-z0-9_-]+)&subcatname=([A-Za-z0-9_-]+)&catid=([0-9]+)&subcatid=([0-9]+)$/i',
            '/^index\.php\?page=ad-details&tracker=([0-9]+)&adname=([A-Za-z0-9_.-]+)$/i',
            '/^index\.php\?page=signin$/i',
            '/^index\.php\?page=register$/i',
            '/^index\.php\?page=verification&code=([A-Za-z0-9_-]+)$/i',
            '/^index\.php\?page=verification&action=request$/i',
            '/^index\.php\?page=forgotpassword$/i',
            '/^index\.php\?page=resetpassword&code=([A-Za-z0-9_-]+)$/i',
            '/^index\.php\?page=logout$/i',
            '/^index\.php\?page=search&cat=([A-Za-z0-9_-]+)$/i',
			'/^index\.php\?page=adtimeline&user=([A-Za-z0-9_@-]+)$/i',
			'/^index\.php\?page=myaccount$/i',
			'/^index\.php\?page=myprofile$/i',
			'/^index\.php\?page=myads$/i',
			'/^index\.php\?page=editadvertproduct$/i',
			'/^index\.php\?page=myfavorite$/i',
			'/^index\.php\?page=adboosterplan$/i',
			'/^index\.php\?page=adboosterpayment$/i',
			'/^index\.php\?page=transactions$/i',
			'/^index\.php\?page=postad$/i',
			'/^index\.php\?page=adphotoupload&_ad=([0-9]+)&_ownerhash=([0-9]+)$/i',
			'/^index\.php\?page=emailsettings$/i',
			'/^index\.php\?page=passwordsettings$/i',
			'/^index\.php\?page=about$/i',
			'/^index\.php\?page=faq$/i',
			'/^index\.php\?page=terms$/i',
			'/^index\.php\?page=privacy$/i',
			'/^index\.php\?page=contact$/i',
			'/^index\.php\?page=maintenance$/i',
		), array(
            $config['site_url'] . 'admin',
            $config['site_url'] . 'admin/$1/',
            $config['site_url'] . 'home',
            $config['site_url'] . '404',
            $config['site_url'] . 'categories',
            $config['site_url'] . 'category/$1/$2/',
            $config['site_url'] . '$1/$2/$3/$4/',
            $config['site_url'] . 'ad-details/$1/$2',
            $config['site_url'] . 'signin',
            $config['site_url'] . 'register',
            $config['site_url'] . 'verification/$1',
            $config['site_url'] . 'verification/code/request',
            $config['site_url'] . 'forgot-password',
            $config['site_url'] . 'reset-password/code/$1',
            $config['site_url'] . 'logout',
            $config['site_url'] . 'search/$1/',
			$config['site_url'] . 'ads/timeline/$1',
			$config['site_url'] . 'account/dashboard',
			$config['site_url'] . 'account/my-profile',
			$config['site_url'] . 'account/my-ads',
			$config['site_url'] . 'account/edit-advert-product',
			$config['site_url'] . 'account/my-favorite-ads',
			$config['site_url'] . 'account/ad-booster-plan',
			$config['site_url'] . 'account/ad-booster-payment',
			$config['site_url'] . 'account/transactions',
			$config['site_url'] . 'account/post-free-ad',
			$config['site_url'] . 'account/post/ad-photo-upload/$1/$2/',
			$config['site_url'] . 'account/email-settings',
			$config['site_url'] . 'account/password-settings',
			$config['site_url'] . 'about',
			$config['site_url'] . 'faq',
			$config['site_url'] . 'terms',
			$config['site_url'] . 'privacy',
			$config['site_url'] . 'contact-us',
			$config['site_url'] . 'maintenance',
        ), $query);
    } else {
        $query = $config['site_url'] . $query;
    }
    return $query;
}

//User registration
function cl_registration($username,$email,$password,$ref,$rem_addr,$browser,$reg_verification_setting)
{
	try
	{

		$db = getDB();

		//Check if the referrer ID exist
		$referrer_owner_id='';
		if($ref){
		$sql = "SELECT uid FROM cl_users WHERE username=:username ";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":username", $ref,PDO::PARAM_STR);
		$stmt->execute();
		$count = $stmt->rowCount();
		$userData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$referrer_owner_id=$userData[0]->uid;
		}

		//get referrer ID
		$getrefid='';
		$refconfirmed='';
		if($referrer_owner_id)
		{
			$getrefid=$referrer_owner_id;
			$refconfirmed='1';
		}
		else
		{
			$getrefid=0;
			$refconfirmed=0;
		}

		$status;
		if($reg_verification_setting){
			$status='0';
		}else{
		$status='1';
		}

		$email_active_code=md5($email.time());
		$stmt2 = $db->prepare("INSERT INTO cl_users(username, email, password, ip_address, status, email_activation,  browser, referred_by, referral_confimation, registered_date, created)
		VALUES(:username, :email, :password, :ip_address,  :status, :email_activation, :browser, :referred_by, :referral_confimation, :registered_date, :created)");
		$stmt2->bindparam(":username", $username, PDO::PARAM_STR);
		$stmt2->bindparam(":email", $email, PDO::PARAM_STR);
		$hash_password=md5($password);
		$stmt2->bindParam(":password", $hash_password);
		$stmt2->bindparam(":ip_address", $rem_addr, PDO::PARAM_STR);
		$stmt2->bindParam(":status", $status,PDO::PARAM_STR);
		$stmt2->bindParam(":email_activation", $email_active_code);
		$stmt2->bindParam(":browser", $browser);
		$stmt2->bindParam(":referred_by", $getrefid);
		$stmt2->bindParam(":referral_confimation", $refconfirmed);
		$registered_date=  date("Y") . '-' . date('n') . '-' . date('d');
		$stmt2->bindParam(":registered_date", $registered_date);
		$created=time();
		$stmt2->bindParam(":created", $created);
		$stmt2->execute();


		if($referrer_owner_id){
		$sql3 = "SELECT uid FROM cl_users WHERE username=:username ";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":username", $username,PDO::PARAM_STR);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();
		$userData3 = $stmt3->fetchAll(PDO::FETCH_OBJ);
		$refered_id=$userData3[0]->uid;

			if($refered_id)
			{
			$status2='0';
			$stmt4 = $db->prepare("INSERT INTO referrer_list(ref_owner_id, refered_id, refered_username, refered_status )VALUES(:referrer_owner_id, :refered_id, :refered_username, :status)");
			$stmt4->bindParam(":referrer_owner_id", $referrer_owner_id,PDO::PARAM_INT);
			$stmt4->bindParam(":refered_id", $refered_id,PDO::PARAM_INT);
			$stmt4->bindParam(":refered_username", $username,PDO::PARAM_STR);
			$stmt4->bindParam(":status", $status2,PDO::PARAM_INT);
			$stmt4->execute();
			}
		}


	   if(SMTP_CONNECTION > 0)
		{
			$applicationName=SITE_NAME;
			$to=$email;
			$resetSignupUrl=BASE_URL."verification/".$email_active_code;
			$subject ='Please verify your email';
			$body="<div style='width: 100%;'><div style='margin: 1em;'>Welcome, <br/>Please verify you are the owner of this email address ".$email." that recently signed up on <b>".SITE_NAME."</b>. Click the following button to verify.<br/> <br/><a style='height:32px; background-color:#ad33ff; border: 1px solid #ad33ff; color:white;  padding:0.3em;' href='".$resetSignupUrl."'>VERIFY</a><br/> <br/> Or copy the below link and paste it into your browser to activate your account.<div style='background-color:white; color:black; border: 1px solid #aaaaaa; text-align: left;'>'".$resetSignupUrl."'</div><br/><br/><div>Regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
			sendMail($to,$subject,$body);
		}
		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Login cl_users */
function cl_user_Login($username,$password)
{
	$db = getDB();
	$hash_password=md5($password);
	$stmt = $db->prepare("SELECT * FROM cl_users WHERE username=:username and password=:hash_password and status=:status");
	$stmt->bindParam(":username", $username,PDO::PARAM_STR) ;
	$stmt->bindParam(":hash_password", $hash_password,PDO::PARAM_STR) ;
	$status='1';
	$stmt->bindParam(":status", $status,PDO::PARAM_INT) ;
	$stmt->execute();
	if($stmt->rowCount()==1)
	{

		$sql1 = "SELECT * FROM cl_users WHERE username=:username";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam("username", $username, PDO::PARAM_STR);
		$stmt1->execute();
		$userDataUid = $stmt1->fetchAll(PDO::FETCH_OBJ);
		$uid=$userDataUid[0]->uid;
		$ref_confimed=$userDataUid[0]->referral_confimation;
		$refered_owner=$userDataUid[0]->referred_by;


		/* secure user account
		if($uid){
			$sql8="UPDATE cl_users SET pincode_check ='1' WHERE username=:username and password=:hash_password and status=:status";
			$stmt8 = $db->prepare($sql8);
			$stmt8->bindParam(":username", $username,PDO::PARAM_STR) ;
			$stmt8->bindParam(":hash_password", $hash_password,PDO::PARAM_STR) ;
			$status='1';
			$stmt8->bindParam(":status", $status,PDO::PARAM_INT) ;
			$stmt8->execute();
		}*/

		/* confirm referral & give reward
		if($ref_confimed){
			$sql4 = "UPDATE referrer_list SET refered_status='1' WHERE refered_id=:uid";
			$stmt4 = $db->prepare($sql4);
			$stmt4->bindParam(":uid", $uid, PDO::PARAM_INT);
			$stmt4->execute();

			$sql5="UPDATE cl_users SET ref_total=ref_total+1, ref_earned=ref_earned+4 WHERE uid=:refered_owner_id";
			$stmt5 = $db->prepare($sql5);
			$stmt5->bindParam(":refered_owner_id", $refered_owner, PDO::PARAM_INT);
			$stmt5->execute();

			$sql7="UPDATE cl_users SET ref_confimed='0' WHERE uid=:uid";
			$stmt7 = $db->prepare($sql7);
			$stmt7->bindParam(":uid", $uid, PDO::PARAM_INT);
			$stmt7->execute();
		}*/

		$row = $stmt->fetch(PDO::FETCH_OBJ);
		$data = json_decode(json_encode($row),true);
		$db = null;
		return $data['uid'];
	}
	else
	{
		$db = null;
		return false;
	}

}

/* authentication */
function Authentication($uid)
{
	try
	{
		$db = getDB();
		$sql7="UPDATE cl_users SET pincode_check='0' WHERE uid=:uid";
		$stmt7 = $db->prepare($sql7);
		$stmt7->bindParam(":uid", $uid, PDO::PARAM_INT);
		$stmt7->execute();
		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

/* forgot pin code */
function getforgotpincode($uid)
{
	try
	{
		$db = getDB();

		$sql1 = "SELECT * FROM cl_users WHERE uid=:uid";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam("uid", $uid, PDO::PARAM_STR);
		$stmt1->execute();
		$userDataUid = $stmt1->fetchAll(PDO::FETCH_OBJ);
		$pincode=$userDataUid[0]->pin_code;
		$email=$userDataUid[0]->email;

		$sql7="UPDATE cl_users SET pincode_check='0' WHERE uid=:uid";
		$stmt7 = $db->prepare($sql7);
		$stmt7->bindParam(":uid", $uid, PDO::PARAM_INT);
		$stmt7->execute();

		if(SMTP_CONNECTION > 0 )
		{
			$applicationName=SITE_NAME;
			$to=$email;
			$subject ='Pin Code Request';
			$body="<div style='width: 100%;'><div style='margin: 1em;'><b>Hello</b>, <br/>You have just requested PINCODE to access your account on ".SITE_NAME." <br/> <br/>Pincode is: ".$pincode." <br/> <br/> If you do not request for this, please delete this message or ignore it.<br/><br/><div>Best regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
			sendMail($to,$subject,$body);
		}
		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function cl_contact($name,$email,$adid,$tel,$message)
{
	try
	{

		$db = getDB();

		$stmt2 = $db->prepare("INSERT INTO cl_contact(name, email, adid, telephone, message)VALUES(:name, :email, :adid, :telephone, :message)");
		$stmt2->bindparam(":name", $name, PDO::PARAM_STR);
		$stmt2->bindparam(":email", $email, PDO::PARAM_STR);
		$stmt2->bindparam(":adid", $adid, PDO::PARAM_INT);
		$stmt2->bindparam(":telephone", $tel, PDO::PARAM_STR);
		$stmt2->bindParam(":message", $message,PDO::PARAM_STR);
		$stmt2->execute();

	   if(SMTP_CONNECTION > 0)
		{
			$to=$site_email;
			$subject ='New Customer Help Request';
			$body="<div style='width: 100%;'>
					<div style='margin: 1em;'>
						<div><b>Customer Help Request <b/><br/><hr/></div>
						<div><b>Name:</b> ".$name."</div>
						<div><b>Email: </b>".$email."</div>
						<div><b>adid: </b>".$adid."</div>
						<div><b>Phone: </b>".$tel."</div>
						<div>".$message."</div>
					</div>
				</div>";
			sendMail($to,$subject,$body);
		}

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}



//request for user pin code to be sent to the owner email
function pin_code_request($username)
{

	try {
		if(strlen($username)>0)
		{
			$db = getDB();
			$sql = "SELECT uid FROM cl_users WHERE username=:username ";
			$stmt = $db->prepare($sql);
			$stmt->bindParam(":username", $username,PDO::PARAM_STR);
			$stmt->execute();
			$count = $stmt->rowCount();
			$userData = $stmt->fetchAll(PDO::FETCH_OBJ);

			if($count>0)
			{
				$sql1 = "SELECT email, username, pin_code FROM cl_users WHERE uid=:uid";
				$stmt1 = $db->prepare($sql1);
				$user_id=$userData[0]->uid;
				$stmt1->bindParam("uid", $user_id, PDO::PARAM_INT);
				$stmt1->execute();
				$userDataEmail = $stmt1->fetchAll(PDO::FETCH_OBJ);
				$email=$userDataEmail[0]->email;
				$name=$userDataEmail[0]->username;
				$pincode=$userDataEmail[0]->pin_code;

				$applicationName=SITE_NAME;

				if(SMTP_CONNECTION > 0 )
				{
					$to=$email;
					$emailName=$name;
					$resetPasswordUrl=BASE_URL."reset_password.php?code=".$active_code;
					$subject ='Your '.$applicationName.' Pin Code';
					$body="<div style='width: 100%;'><div style='margin: 1em;'>Hello <b>".$emailName."</b>,<br/>you recently requested for your pin code.<br/><b>".$pincode."</b><br/><br/><div>Best regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
					sendMail($to,$subject,$body);
				}

				$db = null;
				return true;

			}
			else
			{
				$db = null;
				return false;
			}

		}
	} catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}


//Resend of confirmation for logged cl_users
function email_new_link($sessionUid,$emailcheck)
{
	$db = getDB();

	/*update new link*/
	$email_active_code=md5($emailcheck.time());
	$sql = "UPDATE cl_users SET email_activation=:email_activation, email_sent='0' WHERE uid=:uid";
	$stmt = $db->prepare($sql);
	$stmt->bindParam("uid", $sessionUid, PDO::PARAM_INT);
	$stmt->bindParam("email_activation", $email_active_code);
	$stmt->execute();

	if(SMTP_CONNECTION < 1 )
	{
		$applicationName=SITE_NAME;
		$to=$emailcheck;
		$resetSignupUrl=BASE_URL."verification.php?code=".$email_active_code;
		$subject ='Verify Your '.$applicationName.' Email Address';
		$body="<div style='width: 100%;'><div style='margin: 1em;'><b>Hello</b>, <br/>Your email address ".$emailcheck." has been registered on ".$applicationName.". Click the following button to confirm your email.<br/> <br/><a style='height:32px; background-color:#73C6B6; border: 1px solid #73C6B6; color:white;  padding:0.3em;' href='".$resetSignupUrl."'>Confirm it Now</a><br/> <br/> Or copy the below link and paste it into your browser to confirm your email.<div style='background-color:white; color:black; border: 1px solid #aaaaaa; text-align: left;'>".BASE_URL."verification.php?code=".$email_active_code."</div><br/><br/><div>Best regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
		sendMail($to,$subject,$body);
	}



	$db = null;
	return $stmt;


}


//Resend of confirmation email TWO
function email_new_link_resend($emailcheck)
{
	$db = getDB();

	$stmt3 = $db->prepare("SELECT * FROM cl_users WHERE email=:email");
	$stmt3->bindParam("email", $emailcheck,PDO::PARAM_STR) ;
	$stmt3->execute();
	if($stmt3->rowCount()==1)
	{

		/*update new link*/
		$email_active_code=md5($emailcheck.time());
		$sql = "UPDATE cl_users SET email_activation=:email_activation WHERE email=:email";
		$stmt = $db->prepare($sql);
		$stmt->bindParam("email", $emailcheck, PDO::PARAM_INT);
		$stmt->bindParam("email_activation", $email_active_code);
		$stmt->execute();

		if(SMTP_CONNECTION < 1 )
		{
			$applicationName=SITE_NAME;
			$to=$emailcheck;
			$resetSignupUrl=BASE_URL."verification.php?code=".$email_active_code;
			$subject ='Please Confirm Your '.$applicationName.' Email Address';
			$body="<div style='width: 100%;'><div style='margin: 1em;'>Hello, <br/>Your email address ".$emailcheck." has been registered on ".$applicationName.". Click the following button to confirm your email.<br/> <br/><a href='".$resetSignupUrl."'>Confirm it Now</a><br/> <br/> Or copy the below link and paste it into your browser to confirm your email.<div style='background-color:white; color:black; border: 1px solid #aaaaaa; text-align: left;'>".BASE_URL."verification.php?code=".$email_active_code."</div><br/><br/><div>Best regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
			sendMail($to,$subject,$body);
		}
		$db = null;
		return $stmt;
	}
	else
	{
		$db = null;
		return false;
	}


}

//recovery password via email
function requestVerification($email)
{

	try {
		if(strlen($email)>0)
		{
			$db = getDB();
			$sql = "SELECT uid FROM cl_users WHERE email=:email ";
			$stmt = $db->prepare($sql);
			$stmt->bindParam(":email", $email,PDO::PARAM_STR);
			$stmt->execute();
			$count = $stmt->rowCount();
			$userPreData = $stmt->fetchAll(PDO::FETCH_OBJ);

			if($count>0)
			{
				$sql1 = "SELECT * FROM cl_users WHERE uid=:uid";
				$stmt1 = $db->prepare($sql1);
				$user_id=$userPreData[0]->uid;
				$stmt1->bindParam("uid", $user_id, PDO::PARAM_INT);
				$stmt1->execute();
				$userData = $stmt1->fetchAll(PDO::FETCH_OBJ);
				$verifyCode=$userData[0]->email_activation;
				$username=$userData[0]->username;

				$applicationName=SITE_NAME;

				if(SMTP_CONNECTION > 0)
				{
					$to=$email;
					$verificationUrl=BASE_URL."verification/".$verifyCode;
					$subject ='Account Verification Required';
					$body="<div style='width: 100%;'><div style='margin: 1em;'>Hello <b>".$username."</b>,<br/>you have recently requested for your account verification. <br/>Please click below button to verify your account now.<br/><br/><a style='height:32px; background-color:#ad33ff; border: 1px solid #ad33ff; color:#fff;  padding:0.3em;' href='".$verificationUrl."'>Verify Now.</a><br/><br/> or Copy this link to your browser <div style='color:#ad33ff; padding:1em;'>'".$verificationUrl."'</div><br/><br/><div>Regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
					sendMail($to,$subject,$body);
				}

				$db = null;
				return true;
			}
			else
			{
				$db = null;
				return false;
			}

		}
	} catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}

//recovery password via email
function cl_reset_password_link($email)
{

	try {
		if(strlen($email)>0)
		{
			$db = getDB();
			$sql = "SELECT uid FROM cl_users WHERE email=:email ";
			$stmt = $db->prepare($sql);
			$stmt->bindParam(":email", $email,PDO::PARAM_STR);
			$stmt->execute();
			$count = $stmt->rowCount();
			$userData = $stmt->fetchAll(PDO::FETCH_OBJ);

			if($count>0)
			{
				$sql1 = "SELECT email, username FROM cl_users WHERE uid=:uid";
				$stmt1 = $db->prepare($sql1);
				$user_id=$userData[0]->uid;
				$stmt1->bindParam("uid", $user_id, PDO::PARAM_INT);
				$stmt1->execute();
				$userDataEmail = $stmt1->fetchAll(PDO::FETCH_OBJ);
				$email=$userDataEmail[0]->email;
				$name=$userDataEmail[0]->username;


				$forgotKey=2020;
				$active_code=md5($email.$forgotKey.time());

				$sql2 = "UPDATE cl_users SET forgot_code=:active_code WHERE uid=:uid";
				$stmt2= $db->prepare($sql2);
				$stmt2->bindParam("uid", $user_id, PDO::PARAM_INT);
				$stmt2->bindParam("active_code", $active_code);
				$stmt2->execute();

				$applicationName=SITE_NAME;

				if(SMTP_CONNECTION > 0)
				{
					$to=$email;
					$emailName=$name;
					$resetPasswordUrl=BASE_URL."reset-password/code/".$active_code;
					$subject ='Password Request';
					$body="<div style='width: 100%;'><div style='margin: 1em;'>Hello <b>".$emailName."</b>,<br/>you have recently asked to reset your account password. <br/>Click below button to reset it now<br/><br/><a style='height:32px; background-color:#ad33ff; border: 1px solid #ad33ff; color:#fff;  padding:0.3em;' href='".$resetPasswordUrl."'>Reset Now.</a><br/><br/> or Copy this link to your browser <div style='color:#ad33ff; padding:1em;'>'".$resetPasswordUrl."'</div><br/><br/><div>Regards,<br/> The ".SITE_NAME."  Team</div></div></div>";
					sendMail($to,$subject,$body);
				}

				$db = null;
				return $stmt2;
			}
			else
			{
				$db = null;
				return false;
			}

		}
	} catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}

// Reset Password user
function resetPassword($npassword , $cpassword, $code)
{

	try {

		$db = getDB();
		$sql = "SELECT uid FROM cl_users WHERE forgot_code=:code";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":code", $code,PDO::PARAM_STR);
		$stmt->execute();
		$count = $stmt->rowCount();
		if($count>0)
		{
			$sql2 = "UPDATE cl_users SET password=:password,forgot_code='' WHERE forgot_code=:code";
			$stmt2= $db->prepare($sql2);
			$password=md5($npassword);
			$stmt2->bindParam(":password", $password);
			$stmt2->bindParam(":code", $code);
			$stmt2->execute();

			$row = $stmt->fetch(PDO::FETCH_OBJ);
			$data = json_decode(json_encode($row),true);
			$db = null;
			return $data['uid'];
		}
		else
		{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e) {
		echo '{"error":{"text":'. $e->getMessage() .'}}';
	}
}

//verify account
function verifyAccountCode($verification_code,$refered_owner)
{

	try
	{
		$db = getDB();

		$sql = "SELECT uid FROM cl_users WHERE email_activation=:code";
		$stmt = $db->prepare($sql);
		$stmt->bindParam("code", $verification_code,PDO::PARAM_STR);
		$stmt->execute();
		$count = $stmt->rowCount();

		if($count>0) {
				$sql1 = "SELECT * FROM cl_users WHERE email_activation=:code";
				$stmt1 = $db->prepare($sql1);
				$stmt1->bindParam("code", $verification_code, PDO::PARAM_STR);
				$stmt1->execute();
				$userDataUid = $stmt1->fetchAll(PDO::FETCH_OBJ);
				$uid=$userDataUid[0]->uid;

				/*
				$sql4 = "UPDATE referrer_list SET refered_status='1' WHERE refered_id=:uid";
				$stmt4 = $db->prepare($sql4);
				$stmt4->bindParam(":uid", $uid, PDO::PARAM_INT);
				$stmt4->execute();*/

				$sql2 = "UPDATE cl_users SET email_activation='', status='1' WHERE email_activation=:code";
				$stmt2 = $db->prepare($sql2);
				$stmt2->bindParam("code", $verification_code, PDO::PARAM_STR);
				$stmt2->execute();

				/*
				$sql5="UPDATE cl_users SET ref_total=ref_total+1, ref_earned=ref_earned+10 WHERE uid=:refered_owner_id";
				$stmt5 = $db->prepare($sql5);
				$stmt5->bindParam(":refered_owner_id", $refered_owner, PDO::PARAM_INT);
				$stmt5->execute();
				*/

				$db = null;
				return true;

		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}

}



//run db query
function runQuery($sql)
{
	$db = getDB();
	$stmt = $db->prepare($sql);
	$db = null;
	return $stmt;

}

//redirect user url
function redirect($url)
{
	header("Location: $url");
}


/*################################### CL CONFIG DETAILS ###############################*/
function cl_web_config_details()
{
	try
	{
		$db = getDB();
		$cl_webconfig_data=array();
		$sql = "SELECT * FROM cl_config";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$cl_webconfig_data = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $cl_webconfig_data;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}
/*################################### END CL CONFIG DETAILS  ###############################*/

//get user ip
function Cl_get_ip_address() {
	if (!empty($_SERVER['HTTP_X_FORWARDED']) && Cl_validate_ip($_SERVER['HTTP_X_FORWARDED']))
		return $_SERVER['HTTP_X_FORWARDED'];
	if (!empty($_SERVER['HTTP_X_CLUSTER_CLIENT_IP']) && Cl_validate_ip($_SERVER['HTTP_X_CLUSTER_CLIENT_IP']))
		return $_SERVER['HTTP_X_CLUSTER_CLIENT_IP'];
	if (!empty($_SERVER['HTTP_FORWARDED_FOR']) && Cl_validate_ip($_SERVER['HTTP_FORWARDED_FOR']))
		return $_SERVER['HTTP_FORWARDED_FOR'];
	if (!empty($_SERVER['HTTP_FORWARDED']) && Cl_validate_ip($_SERVER['HTTP_FORWARDED']))
		return $_SERVER['HTTP_FORWARDED'];
	return $_SERVER['REMOTE_ADDR'];
}

/*
validate user ip
 */
function Cl_validate_ip($ip) {
	if (strtolower($ip) === 'unknown')
		return false;
	$ip = ip2long($ip);
	if ($ip !== false && $ip !== -1) {
		$ip = sprintf('%u', $ip);
		if ($ip >= 0 && $ip <= 50331647)
			return false;
		if ($ip >= 167772160 && $ip <= 184549375)
			return false;
		if ($ip >= 2130706432 && $ip <= 2147483647)
			return false;
		if ($ip >= 2851995648 && $ip <= 2852061183)
			return false;
		if ($ip >= 2886729728 && $ip <= 2887778303)
			return false;
		if ($ip >= 3221225984 && $ip <= 3221226239)
			return false;
		if ($ip >= 3232235520 && $ip <= 3232301055)
			return false;
		if ($ip >= 4294967040)
			return false;
	}
	return true;
}

/*
get user browser
 */
function Cl_get_user_browser() {
	$browser = "Unknown Browser";
	$browser_array = array(
		'/msie/i'       =>  'Internet Explorer',
		'/firefox/i'    =>  'Firefox',
		'/safari/i'     =>  'Safari',
		'/chrome/i'     =>  'Chrome',
		'/edge/i'       =>  'Edge',
		'/opera/i'      =>  'Opera',
		'/netscape/i'   =>  'Netscape',
		'/maxthon/i'    =>  'Maxthon',
		'/konqueror/i'  =>  'Konqueror',
		'/mobile/i'     =>  'Handheld Browser'
	);
	foreach($browser_array as $regex => $value) {
		if(preg_match($regex, $_SERVER['HTTP_USER_AGENT'])) {
			$browser = $value;
		}
	}
	return $browser;
}


/*
get url text
 */
function Cl_get_url_text($string, $length = 10) {
	$string = htmlspecialchars_decode($string, ENT_QUOTES);
	$string = preg_replace('/[^\\pL\d]+/u', '-', $string);
	$string = trim($string, '-');
	$words = explode("-",$string);
	if(count($words) > $length) {
		$string = "";
		for($i = 0; $i < $length; $i++) {
			$string .= "-".$words[$i];
		}
		$string = trim($string, '-');
	}
	return $string;
}

function Cl_Secure($string, $br = true, $strip = 0) {
	$string = trim($string);
	$string = strip_tags($string);
	//$string = cleanString($string);
	$string = htmlspecialchars($string, ENT_QUOTES);
	if ($br == true) {
		$string = str_replace('\r\n', " <br>", $string);
		$string = str_replace('\n\r', " <br>", $string);
		$string = str_replace('\r', " <br>", $string);
		$string = str_replace('\n', " <br>", $string);
	} else {
		$string = str_replace('\r\n', "", $string);
		$string = str_replace('\n\r', "", $string);
		$string = str_replace('\r', "", $string);
		$string = str_replace('\n', "", $string);
	}
	if ($strip == 1) {
		$string = stripslashes($string);
	}
	$string = str_replace('&amp;#', '&#', $string);

	return $string;
}

/*function cleanString($string) { 
  return $string = preg_replace("/&#?[a-z0-9]+;/i","", $string); 
}*/

?>
