<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

function cl_post_free_ad_process($ad_public_id,$adtitle,$adtype,$adprice,$adsalary,$admaxsalary,$adnegotiable,$adcurrency,$adcondition,$addesciption,$adcategory,$adsubcategory,$adstate,$adcity,$adstreetaddress,$adphone,$ad_uid,$rem_addr,$browser)
{
	try
	{

		$db = getDB();

		$status='0';
		$stmt2 = $db->prepare("INSERT INTO cl_adproduct_storage(ad_public_id, ad_title, ad_type, ad_price, ad_salary, ad_maxsalary, ad_negotiable, ad_currency, ad_condition, ad_desciption, ad_category_id_fk, ad_subcategory_id_fk, ad_state_id_fk, ad_city_id_fk, ad_streetaddress, ad_phone, ad_user_id_fk, ad_ip, ad_browser, ad_status, ad_posted_date, ad_created)
		VALUES(:ad_public_id, :ad_title, :ad_type, :ad_price, :ad_salary, :ad_maxsalary, :ad_negotiable, :ad_currency, :ad_condition, :ad_desciption, :ad_category_id_fk, :ad_subcategory_id_fk, :ad_state_id_fk, :ad_city_id_fk, :ad_streetaddress, :ad_phone, :ad_user_id_fk, :ad_ip, :ad_browser, :ad_status, :ad_posted_date, :ad_created)");
		$stmt2->bindparam(":ad_public_id", $ad_public_id, PDO::PARAM_INT);
		$stmt2->bindparam(":ad_title", $adtitle, PDO::PARAM_STR);
		$stmt2->bindparam(":ad_type", $adtype, PDO::PARAM_INT);
		$stmt2->bindparam(":ad_price", $adprice, PDO::PARAM_STR);
		$stmt2->bindparam(":ad_salary", $adsalary, PDO::PARAM_STR);
		$stmt2->bindparam("ad_maxsalary", $admaxsalary, PDO::PARAM_STR);
		$stmt2->bindparam("ad_negotiable", $adnegotiable, PDO::PARAM_INT);
		$stmt2->bindparam("ad_currency", $adcurrency, PDO::PARAM_INT);
		$stmt2->bindparam("ad_condition", $adcondition, PDO::PARAM_INT);
		$stmt2->bindparam("ad_desciption", $addesciption, PDO::PARAM_STR);
		$stmt2->bindparam("ad_category_id_fk", $adcategory, PDO::PARAM_INT);
		$stmt2->bindparam("ad_subcategory_id_fk", $adsubcategory, PDO::PARAM_INT);
		$stmt2->bindparam("ad_state_id_fk", $adstate, PDO::PARAM_INT);
		$stmt2->bindparam("ad_city_id_fk", $adcity, PDO::PARAM_INT);
		$stmt2->bindparam("ad_streetaddress", $adstreetaddress, PDO::PARAM_STR);
		$stmt2->bindparam("ad_phone", $adphone, PDO::PARAM_STR);
		$stmt2->bindparam("ad_user_id_fk", $ad_uid, PDO::PARAM_INT);
		$stmt2->bindparam("ad_ip", $rem_addr, PDO::PARAM_STR);
		$stmt2->bindparam("ad_browser", $browser, PDO::PARAM_STR);
		$stmt2->bindparam("ad_status", $status, PDO::PARAM_INT);
		$posted_date=  date("Y") . '-' . date('n') . '-' . date('d');
		$stmt2->bindparam("ad_posted_date", $posted_date);
		$created=time();
		$stmt2->bindparam("ad_created", $created);
		$stmt2->execute();


		$sql3 = "SELECT ad_id FROM cl_adproduct_storage WHERE ad_created=:ad_created ";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_created", $created,PDO::PARAM_STR);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();
		$AdData = $stmt3->fetchAll(PDO::FETCH_OBJ);
		$ad_id=$AdData[0]->ad_id;

		$db = null;
		return $ad_id;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//extension
function getExtension($str)
{
		 $i = strrpos($str,".");
		 if (!$i) { return ""; }
		 $l = strlen($str) - $i;
		 $ext = substr($str,$i+1,$l);
		 return $ext;
}

//create a reference to photos added to advert (eg. ad photoname, owner ID, etc.)
function cl_adphoto_add_process($image_name,$adid,$uid)
{
	try
	{
		$db = getDB();

		$stmt2 = $db->prepare("INSERT INTO cl_ad_photos_upload(image_path, ad_id_fk, uid_fk, registered_date, created)VALUES
(:image_path, :ad_id_fk, :uid_fk, :registered_date, :created)");
		$stmt2->bindparam(":image_path", $image_name, PDO::PARAM_STR);
		$stmt2->bindparam(":ad_id_fk", $adid, PDO::PARAM_INT);
		$stmt2->bindparam(":uid_fk", $uid, PDO::PARAM_INT);
		$registered_date=  date("Y") . '-' . date('n') . '-' . date('d');
		$stmt2->bindParam(":registered_date", $registered_date);
		$created=time();
		$stmt2->bindParam("created", $created);
		$stmt2->execute();

		$sql3 = "SELECT id FROM cl_ad_photos_upload WHERE created=:created ";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":created", $created,PDO::PARAM_STR);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();
		$AdData = $stmt3->fetchAll(PDO::FETCH_OBJ);
		$inserted_id=$AdData[0]->id;

		$db = null;
		return $inserted_id;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Delete advert photo function
function cl_adphoto_delete_process($cl_photo_path,$uid)
{
	try
	{
		$db = getDB();

		$s5="DELETE FROM cl_ad_photos_upload WHERE image_path=:cl_photo_path AND uid_fk=:uid_fk";
		$stmt5 = $db->prepare($s5);
		$stmt5->bindParam(":cl_photo_path", $cl_photo_path, PDO::PARAM_STR);
		$stmt5->bindParam(":uid_fk", $uid, PDO::PARAM_INT);
		$stmt5->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Secure and check if the user is the owner of this advert.
function cl_is_ad_owner($ad_id,$owner)
{
	try
	{
		$db = getDB();

		$sql3 = "SELECT ad_id FROM cl_adproduct_storage WHERE ad_id=:ad_id AND ad_user_id_fk=:ad_user_id_fk AND ad_status='0'";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt3->bindParam(":ad_user_id_fk", $owner,PDO::PARAM_INT);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();

		if($count3 >0){
			$db = null;
			return true;
		}
		else{
			$db = null;
			return false;
		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//temporary advert details
function cl_get_temp_ad_details($ad_id)
{
	try
	{
		$db = getDB();

		$sql3 = "SELECT * FROM cl_adproduct_storage WHERE ad_id=:ad_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();
		$AdTempData = $stmt3->fetchAll(PDO::FETCH_OBJ);
		//$ad_title=$AdTempData[0]->ad_title;

		if($count3 >0){
			$db = null;
			return $AdTempData;
		}
		else{
			$db = null;
			return false;
		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Check if advert has at least photo uploaded and count before completing the Ad.
function cl_validate_ad_photo($adphoto_id,$uid)
{
	try
	{
		$db = getDB();

		$sql3 = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id AND uid_fk=:uid";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $adphoto_id,PDO::PARAM_INT);
		$stmt3->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();

		if($count3 >0){
			$db = null;
			return $count3;
		}
		else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Get user advert completed and make it active
function cl_ad_completed_process($adphoto_id,$uid)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adproduct_storage SET ad_status='1' WHERE ad_id=:ad_id AND ad_user_id_fk=:uid";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $adphoto_id,PDO::PARAM_INT);
		$stmt3->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get user profile details
function cl_get_cl_profile_details($uid)
{
	try
	{
		$db = getDB();
		if($uid){
			$sql3 = "SELECT * FROM cl_users WHERE uid=:u_id";
			$stmt3 = $db->prepare($sql3);
			$stmt3->bindParam(":u_id", $uid,PDO::PARAM_INT);
			$stmt3->execute();
			$Profile_Data = $stmt3->fetchAll(PDO::FETCH_OBJ);

			$db = null;
			return $Profile_Data;
		}else{
			$db = null;
			return false;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//update user profile
function cl_profile_update_process($firstname,$lastname,$gender,$phone,$birthday,$userbio,$companyname,$cwebsite,$social_fb,$social_tw,$social_insta,$social_lin,$social_sky,$social_gh,$uid)
{
	try
	{
		$db = getDB();

		$sql = "UPDATE cl_users SET first_name=:firstname, last_name=:lastname, gender=:gender, phone=:phone, birthday=:birthday, bio=:userbio, company_name=:companyname, company_website=:cwebsite, facebook_profile=:social_fb, twitter_profile=:social_tw, instagram_profile=:social_insta, linkedin_profile=:social_lin, skype_profile=:social_sky, github_profile=:social_gh WHERE uid=:uid";
		$stmt2 = $db->prepare($sql);
		$stmt2->bindparam(":firstname", $firstname, PDO::PARAM_STR);
		$stmt2->bindparam(":lastname", $lastname, PDO::PARAM_STR);
		$stmt2->bindparam(":gender", $gender, PDO::PARAM_STR);
		$stmt2->bindparam(":phone", $phone, PDO::PARAM_STR);
		$stmt2->bindparam(":birthday", $birthday, PDO::PARAM_STR);
		$stmt2->bindparam(":userbio", $userbio, PDO::PARAM_STR);
		$stmt2->bindparam(":companyname", $companyname, PDO::PARAM_STR);
		$stmt2->bindparam(":cwebsite", $cwebsite, PDO::PARAM_STR);
		$stmt2->bindparam(":social_fb", $social_fb, PDO::PARAM_STR);
		$stmt2->bindparam(":social_tw", $social_tw, PDO::PARAM_STR);
		$stmt2->bindparam(":social_insta", $social_insta, PDO::PARAM_STR);
		$stmt2->bindparam(":social_lin", $social_lin, PDO::PARAM_STR);
		$stmt2->bindparam(":social_sky", $social_sky, PDO::PARAM_STR);
		$stmt2->bindparam(":social_gh", $social_gh, PDO::PARAM_STR);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//update user profile password
function cl_profile_password_update_process($new_password,$uid)
{
	try
	{
		$db = getDB();

		$sql = "UPDATE cl_users SET password=:password WHERE uid=:uid";
		$stmt2 = $db->prepare($sql);
		$password=md5($new_password);
		$stmt2->bindparam(":password", $password, PDO::PARAM_STR);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//update user profile email
function cl_profile_email_update_process($new_email,$uid)
{
	try
	{
		$db = getDB();

		$sql = "UPDATE cl_users SET email=:email WHERE uid=:uid";
		$stmt2 = $db->prepare($sql);
		$stmt2->bindparam(":email", $new_email, PDO::PARAM_STR);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//update user profile picture
function cl_profile_pic_add_process($image_name,$uid)
{
	try
	{
		$db = getDB();

		$sql = "UPDATE cl_users SET profile_pic=:image_name WHERE uid=:uid";
		$stmt2 = $db->prepare($sql);
		$stmt2->bindparam(":image_name", $image_name, PDO::PARAM_STR);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get currency symbol for each advert
function get_ad_currency_symbol($currency_id)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_currency WHERE currency_id=:currency_id ";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":currency_id", $currency_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CurrencyData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$CurrencySymbol=$CurrencyData[0]->currency_clsymbol;

		$db = null;
		return $CurrencySymbol;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get currency name for each advert
function get_ad_currency_name($currency_id)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_currency WHERE currency_id=:currency_id ";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":currency_id", $currency_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CurrencyData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$CurrencyName=$CurrencyData[0]->currency_name;

		$db = null;
		return $CurrencyName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_ad_condition_name($ad_condition)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_product_condition WHERE cl_cond_id=:cl_cond_id ";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":cl_cond_id", $ad_condition,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$AdConData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$AdConditionName=$AdConData[0]->cl_cond_name;

		$db = null;
		return $AdConditionName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Count number of adverts submitted by each user
function get_user_total_submitted_ad($uid)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$adsubmitted_count = $stmt->rowCount();

		$db = null;
		return $adsubmitted_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Count number of favorite adverts by each user
function get_user_total_favorite_ad($uid)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_favourite_ads WHERE user_id_fk=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$fav_count = $stmt->rowCount();

		$db = null;
		return $fav_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Count number of active adverts by each user
function get_user_total_active_ad($uid)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:uid AND ad_status='1'";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$ad_active_count = $stmt->rowCount();

		$db = null;
		return $ad_active_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get user rating score
function get_user_rating_score($uid)
{
	try
	{
		$db = getDB();
		$sql = "SELECT * FROM cl_rating_system WHERE rated_uid_fk=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$rating_score_count = $stmt->rowCount();

		$db = null;
		return $rating_score_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//List all adverts user created for edit and delete (update) on user dashboard
function user_all_adverts_submitted_list($uid)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:uid  ORDER BY ad_id DESC";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$list_of_ads_submitted = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $list_of_ads_submitted;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_ad_category_name($category_id)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_category WHERE cat_id=:category_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":category_id", $category_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CategoryData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$CategoryName=$CategoryData[0]->cat_name;

		$db = null;
		return $CategoryName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_ad_subcategory_name($subcategory_id)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_sub_category WHERE sub_cat_id=:subcategory_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":subcategory_id", $subcategory_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CategoryData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$SubCategoryName=$CategoryData[0]->sub_cat_name;

		$db = null;
		return $SubCategoryName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_country_name($country_id_fk)
{
	try
	{
		$db = getDB();
		/*
		$sql = "SELECT * FROM cl_country WHERE country_id=:country_id_fk";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":country_id_fk", $country_id_fk,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CountryData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$CountryName=$CountryData[0]->state_name;

		$db = null;
		return $CountryName;
		*/
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_ad_state_name($state_id)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_states WHERE state_id=:state_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":state_id", $state_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$StateData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$StateName=$StateData[0]->state_name;

		$db = null;
		return $StateName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_ad_cities_name($cities_id)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_cities WHERE cities_id=:cities_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":cities_id", $cities_id,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$CityData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$CityName=$CityData[0]->cities_name;

		$db = null;
		return $CityName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get a single advert photo
function get_advert_photo($ad_id)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id  ORDER BY id ASC LIMIT 1";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt->execute();
		$AdPhotoData = $stmt->fetchAll(PDO::FETCH_OBJ);
		$AdPhotoName=$AdPhotoData[0]->image_path;

		$db = null;
		return $AdPhotoName;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get a single advert photo
function get_advert_photo_count($ad_id)
{
	try
	{
		$db = getDB();
		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt->execute();
		$AdPhoto_count = $stmt->rowCount();

		$db = null;
		return $AdPhoto_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get a multiple advert photos (slider use or any multi image box)
function get_advert_multiple_photos($ad_id)
{
	try
	{
		$db = getDB();
		$AdMultiPhotoData=array();
		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id ORDER BY id ASC";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt->execute();
		$AdMultiPhotoData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $AdMultiPhotoData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Secure and check if the user is the owner of this advert.
function cl_check_is_ad_owner($ad_id,$owner)
{
	try
	{
		$db = getDB();

		$sql3 = "SELECT ad_id FROM cl_adproduct_storage WHERE ad_id=:ad_id AND ad_user_id_fk=:ad_user_id_fk";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt3->bindParam(":ad_user_id_fk", $owner,PDO::PARAM_INT);
		$stmt3->execute();
		$count3 = $stmt3->rowCount();

		if($count3 >0){
			$db = null;
			return true;
		}
		else{
			$db = null;
			return false;
		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get advert details for user to modify
function get_advert_details($ad_id,$owner)
{
	try
	{
		$db = getDB();
		//$list_of_ads_submitted=array();
		$sql = "SELECT * FROM cl_adproduct_storage WHERE ad_id=:ad_id AND ad_user_id_fk=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt->bindParam(":uid", $owner,PDO::PARAM_INT);
		$stmt->execute();
		$count = $stmt->rowCount();
		$advert_details = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $advert_details;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


function cl_update_free_ad_process($adtitle,$adtype,$adprice,$adsalary,$admaxsalary,$adnegotiable,$adcurrency,$adcondition,$addesciption,$adcategory,$adsubcategory,$adstate,$adcity,$adstreetaddress,$adphone,$ad_uid,$rem_addr,$browser,$ad_id)
{
	try
	{

		$db = getDB();

		$stmt2 = $db->prepare("UPDATE cl_adproduct_storage SET ad_title=:ad_title, ad_type=:ad_type, ad_price=:ad_price, ad_salary=:ad_salary, ad_maxsalary=:ad_maxsalary,
		ad_negotiable=:ad_negotiable, ad_currency=:ad_currency, ad_condition=:ad_condition, ad_desciption=:ad_desciption, ad_category_id_fk=:ad_category_id_fk,
		ad_subcategory_id_fk=:ad_subcategory_id_fk, ad_state_id_fk=:ad_state_id_fk, ad_city_id_fk=:ad_city_id_fk, ad_streetaddress=:ad_streetaddress,
		ad_phone=:ad_phone, ad_ip=:ad_ip, ad_browser=:ad_browser WHERE ad_id=:ad_id AND ad_user_id_fk=:uid");
		$stmt2->bindparam(":ad_title", $adtitle, PDO::PARAM_STR);
		$stmt2->bindparam(":ad_type", $adtype, PDO::PARAM_INT);
		$stmt2->bindparam(":ad_price", $adprice, PDO::PARAM_STR);
		$stmt2->bindparam(":ad_salary", $adsalary, PDO::PARAM_STR);
		$stmt2->bindparam("ad_maxsalary", $admaxsalary, PDO::PARAM_STR);
		$stmt2->bindparam("ad_negotiable", $adnegotiable, PDO::PARAM_INT);
		$stmt2->bindparam("ad_currency", $adcurrency, PDO::PARAM_INT);
		$stmt2->bindparam("ad_condition", $adcondition, PDO::PARAM_INT);
		$stmt2->bindparam("ad_desciption", $addesciption, PDO::PARAM_STR);
		$stmt2->bindparam("ad_category_id_fk", $adcategory, PDO::PARAM_INT);
		$stmt2->bindparam("ad_subcategory_id_fk", $adsubcategory, PDO::PARAM_INT);
		$stmt2->bindparam("ad_state_id_fk", $adstate, PDO::PARAM_INT);
		$stmt2->bindparam("ad_city_id_fk", $adcity, PDO::PARAM_INT);
		$stmt2->bindparam("ad_streetaddress", $adstreetaddress, PDO::PARAM_STR);
		$stmt2->bindparam("ad_phone", $adphone, PDO::PARAM_STR);
		$stmt2->bindparam("ad_ip", $rem_addr, PDO::PARAM_STR);
		$stmt2->bindparam("ad_browser", $browser, PDO::PARAM_STR);
		$stmt2->bindparam("ad_id", $ad_id, PDO::PARAM_INT);
		$stmt2->bindparam("uid", $ad_uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//Count number of favorite adverts by each user
function count_total_adphotos_uploaded($ad_id)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $ad_id,PDO::PARAM_INT);
		$stmt->execute();
		$photos_count = $stmt->rowCount();

		$db = null;
		return $photos_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Delete user advert  function
function cl_advert_delete_process($upload_path,$advert_id,$uid)
{
	try
	{
		$db = getDB();

		$s5="DELETE FROM cl_adproduct_storage WHERE ad_id=:ad_id AND ad_user_id_fk=:uid_fk";
		$stmt5 = $db->prepare($s5);
		$stmt5->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
		$stmt5->bindParam(":uid_fk", $uid, PDO::PARAM_INT);
		$stmt5->execute();

		$sql = "SELECT * FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id AND uid_fk=:uid ORDER BY id";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":ad_id", $advert_id,PDO::PARAM_INT);
		$stmt->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt->execute();
		$adphoto_details = $stmt->fetchAll(PDO::FETCH_OBJ);

		$adphotoCount=count($adphoto_details);
		for($z=0;$z<$adphotoCount;$z++){
			$path=$upload_path.$adphoto_details[$z]->image_path;
			if(file_exists($path)){
				if(unlink($path)){
					//delete all photos of the Ad
					$s5="DELETE FROM cl_ad_photos_upload WHERE ad_id_fk=:ad_id AND uid_fk=:uid_fk";
					$stmt5 = $db->prepare($s5);
					$stmt5->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
					$stmt5->bindParam(":uid_fk", $uid, PDO::PARAM_INT);
					$stmt5->execute();

					//delete Ad from the favorite table
					$s6="DELETE FROM cl_favourite_ads WHERE f_ad_id_fk=:ad_id";
					$stmt6 = $db->prepare($s6);
					$stmt6->bindParam(":ad_id", $advert_id, PDO::PARAM_INT);
					$stmt6->execute();
				}
			}
		}
		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//Link favorite table with the advert table to list out favorite Ad for user
function cl_get_favourite_advert_details($uid)
{
	try
	{
		$db = getDB();

		$query="SELECT DISTINCT A.ad_id, A.ad_title, A.ad_type, A.ad_price, A.ad_salary, A.ad_maxsalary, A.ad_negotiable, A.ad_currency, A.ad_condition, A.ad_desciption, A.ad_category_id_fk, A.ad_subcategory_id_fk, A.ad_state_id_fk, A.ad_city_id_fk, A.ad_streetaddress, A.ad_phone, A.ad_user_id_fk, A.ad_ip, A.ad_browser, A.ad_status, A.ad_posted_date, A.ad_created, F.f_ad_id_fk, F.user_id_fk FROM cl_adproduct_storage A,  cl_favourite_ads F WHERE A.ad_id=F.f_ad_id_fk AND F.user_id_fk=:uid ORDER BY f_ad_id_fk DESC";

		$stmt4 = $db->prepare($query);
		$stmt4->bindParam(":uid", $uid, PDO::PARAM_INT);
		$stmt4->execute();
		$advert_details = $stmt4->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $advert_details;

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


/*
function timeline_user_details($user_id)
{

	$db = getDB();
	$stmt = $db->prepare("SELECT uid, first_name, last_name , verified, last_login FROM cl_users WHERE uid=:uid");
	$stmt->bindparam(":uid", $user_id, PDO::PARAM_STR);
	$stmt->execute();
	$row = $stmt->fetchAll(PDO::FETCH_OBJ);
	$rowCount=count($row);
	for($z=0;$z<$rowCount;$z++)
	{
		$date_time = $row[$z]->last_login;
		$row[$z]->usertime = date("c", $date_time);
		$row[$z]->first_name;
		$row[$z]->last_name;
		$row[$z]->verified;
	}

	$data = json_decode(json_encode($row),true);
	$db = null;
	return $data;
}
*/

//Get User Data
function GetUserData($username)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_users Where username=:username";
	$stmt1 = $db->prepare($sql1);
	$stmt1->bindParam(":username", $username,PDO::PARAM_STR);
	$stmt1->execute();
	$GetUserData = $stmt1->fetchAll(PDO::FETCH_OBJ);
	$uid=$GetUserData[0]->uid;
	//$db = null;
	if($uid){
		return true;
	}else{
	return false;}
}

function get_user_store_owner($user_storename)
{
	try
	{
		$db = getDB();
		$sql = "SELECT * FROM cl_users WHERE username=:username";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(":username", $user_storename,PDO::PARAM_STR);
		$stmt->execute();
		$GetUserStoreOwnerID = $stmt->fetchAll(PDO::FETCH_OBJ);
		$StoreOwnerID=$GetUserStoreOwnerID[0]->uid;

		$db = null;
		return $StoreOwnerID;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


function cl_add_favorite_ad($adid,$uid)
{
	try
	{
		$db = getDB();

		$stmt2 = $db->prepare("INSERT INTO cl_favourite_ads(f_ad_id_fk, user_id_fk)VALUES(:adid, :uid)");
		$stmt2->bindparam(":adid", $adid, PDO::PARAM_INT);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function cl_remove_favorite_ad($adid,$uid)
{
	try
	{
		$db = getDB();

		$stmt2 = $db->prepare("DELETE FROM cl_favourite_ads WHERE f_ad_id_fk=:adid AND user_id_fk=:uid");
		$stmt2->bindparam(":adid", $adid, PDO::PARAM_INT);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

?>
