<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/


/*Get category*/
function Getcatgory()
{
	try
	{
		$db = getDB();
		$data = array();

		$sql1 = "SELECT * FROM cl_category";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$CatData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $CatData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

/*Get sub category */
function Getsub_category($cat_id)
{
	try
	{
		$db = getDB();
		$data = array();
		$sql1 = "SELECT * FROM cl_sub_category WHERE cat_id_fk=:cat_id";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
		$stmt1->execute();
		$SubCatData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $SubCatData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_total_of_each_category_ads_submitted($cat_id)
{
	try
	{
		$db = getDB();
		$data = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
		$stmt1->execute();
		$total_cat_ads_count = $stmt1->rowCount();

		$db = null;
		return $total_cat_ads_count;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all categories ads.
function get_trending_adverts()
{
	try
	{
		$db = getDB();
		$TrendingAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' ORDER BY ad_created DESC LIMIT 12";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$TrendingAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TrendingAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all categories ads.
function get_all_categories_adverts($start,$per_page)
{
	try
	{
		$db = getDB();
		$CategoriesAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' ORDER BY ad_created DESC LIMIT :start, :per_page";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$CategoriesAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $CategoriesAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


function get_all_categories_adverts_Count()
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1'";
	$stmt = $db->prepare($sql1);
	$stmt->execute();
	$db = null;
	return $stmt->rowCount();
}

function get_all_categories_adverts_boosted_ads_Count()
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' AND ad_feature='1'";
	$stmt = $db->prepare($sql1);
	$stmt->execute();
	$db = null;
	return $stmt->rowCount();
}


function get_sortby_ads_in_all_categories($sortby,$start,$per_page)
{
	try
	{
		$db = getDB();
		$CategoriesAdsData = array();
		if($sortby == "low-to-high"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' ORDER BY ad_price ASC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$CategoriesAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "high-to-low"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' ORDER BY ad_price DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$CategoriesAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "boosted-ads"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_status='1' AND ad_feature='1' ORDER BY ad_id DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$CategoriesAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $CategoriesAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all ads in selected category.
function get_all_ads_in_specific_category($cat_id,$start,$per_page)
{
	try
	{
		$db = getDB();
		$CategoryAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_status='1' ORDER BY ad_created DESC LIMIT :start, :per_page";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$CategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $CategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//count for pagination of (get_all_ads_in_specific_category)
function get_all_ads_in_specific_category_Count($cat_id)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_status='1'";
	$stmt = $db->prepare($sql1);
	$stmt->bindParam(":cat_id", $cat_id, PDO::PARAM_INT);
	$stmt->execute();
	$db = null;
	return $stmt->rowCount();
}

function get_all_ads_in_specific_category_boosted_ads_Count($cat_id)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_feature='1' AND ad_status='1'";
	$stmt = $db->prepare($sql1);
	$stmt->bindParam(":cat_id", $cat_id, PDO::PARAM_INT);
	$stmt->execute();
	$db = null;
	return $stmt->rowCount();
}


function get_sortby_ads_in_selected_category($cat_id,$sortby,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SubCategoryAdsData = array();

		if($sortby == "low-to-high"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_status='1' ORDER BY ad_price ASC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "high-to-low"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_status='1' ORDER BY ad_price DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "boosted-ads"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_feature='1' AND ad_status='1' ORDER BY ad_id DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}



//get all ads in selected sub category.
function get_ads_in_selected_subcategory($cat_id,$subcat_id,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SubCategoryAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_status='1' ORDER BY ad_created DESC LIMIT :start, :per_page";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
		$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//count for pagination of (get_ads_in_selected_subcategory)
function get_ads_in_selected_subcategory_Count($cat_id,$subcat_id)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_status='1' ORDER BY ad_created DESC";
	$stmt1 = $db->prepare($sql1);
	$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
	$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
	$stmt1->execute();

	$db = null;
	return $stmt1->rowCount();
}

function get_ads_in_selected_subcategory_boosted_ads_Count($cat_id,$subcat_id)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_feature='1' AND ad_status='1' ORDER BY ad_created DESC";
	$stmt1 = $db->prepare($sql1);
	$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
	$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
	$stmt1->execute();

	$db = null;
	return $stmt1->rowCount();
}


function get_sortby_ads_in_selected_subcategory($cat_id,$subcat_id,$sortby,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SubCategoryAdsData = array();

		if($sortby == "low-to-high"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_status='1' ORDER BY ad_price ASC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "high-to-low"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_status='1' ORDER BY ad_price DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "boosted-ads"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND ad_feature='1' AND ad_status='1' ORDER BY ad_id DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get all FILTER Ads in selected sub category.
function get_filter_ads_in_selected_subcategory($cat_id,$subcat_id,$filterprice,$start,$per_page)
{
	try
	{
		$db = getDB();

		//format the filter price from the normal number to the format of price and salary input from the Free Ad submission form.
		$filterprice_format=number_format($filterprice, 0, '.', ',');

		$Filter_SubCategoryAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND (ad_price <:filterprice OR ad_salary <:filterprice)  AND ad_status='1' ORDER BY ad_created DESC LIMIT :start, :per_page";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
		$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
		$stmt1->bindParam(":filterprice", $filterprice_format,PDO::PARAM_STR);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$Filter_SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $Filter_SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function get_sortby_filter_ads_in_selected_subcategory($cat_id,$subcat_id,$filterprice,$sortby,$start,$per_page)
{
	try
	{
		$db = getDB();

		//format the filter price from the normal number to the format of price and salary input from the Free Ad submission form.
		$filterprice_format=number_format($filterprice, 0, '.', ',');

		$Filter_SubCategoryAdsData = array();

		if(($sortby == "low-to-high") && ($filterprice >0)){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND (ad_price <:filterprice OR ad_salary <:filterprice)  AND ad_status='1' ORDER BY ad_price ASC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":filterprice", $filterprice_format,PDO::PARAM_STR);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$Filter_SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif(($sortby == "high-to-low") && ($filterprice >0)){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND (ad_price <:filterprice OR ad_salary <:filterprice)  AND ad_status='1' ORDER BY ad_price DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":filterprice", $filterprice_format,PDO::PARAM_STR);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$Filter_SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif(($sortby == "boosted-ads") && ($filterprice >0)){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:cat_id AND ad_subcategory_id_fk=:subcat_id AND (ad_price <:filterprice OR ad_salary <:filterprice) AND ad_feature='1' AND ad_status='1' ORDER BY ad_id DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":cat_id", $cat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":subcat_id", $subcat_id,PDO::PARAM_INT);
			$stmt1->bindParam(":filterprice", $filterprice_format,PDO::PARAM_STR);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$Filter_SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $Filter_SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

/*######################  Ads Explore Function   ###################*/

//get car ads.
function car_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_subcategory_id_fk='80' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get apartment ads.
function apartment_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_subcategory_id_fk='19' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get jobs ads.
function jobs_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk='6' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get accessories ads.
function accessories_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_subcategory_id_fk='3' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get home appliances ads.
function home_appliances_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_subcategory_id_fk='71' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get clothing ads.
function clothing_ads_data_explore()
{
	try
	{
		$db = getDB();
		$ExploreAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_subcategory_id_fk='4' AND ad_status='1' ORDER BY RAND() DESC LIMIT 1";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$ExploreAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $ExploreAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


/*######################  Trending Ads Function   ###################*/

//get clothing ads.
function mobile_category_trending_ads()
{
	try
	{
		$db = getDB();
		$TrendingAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk='1' AND ad_status='1' ORDER BY RAND() DESC LIMIT 4";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$TrendingAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TrendingAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get vehicles ads.
function vehicles_category_trending_ads()
{
	try
	{
		$db = getDB();
		$TrendingAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk='8' AND ad_status='1' ORDER BY RAND() DESC LIMIT 4";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$TrendingAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TrendingAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get fashion ads.
function fashion_category_trending_ads()
{
	try
	{
		$db = getDB();
		$TrendingAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk='2' AND ad_status='1' ORDER BY RAND() DESC LIMIT 4";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$TrendingAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TrendingAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

   /*######################  Ad Timeline (Store)   ###################*/

//get all ads selected on user store.
function get_all_ads_from_adtimeline_store($userid_store_owner,$start,$per_page)
{
	try
	{
		$db = getDB();
		$CategoryAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:userid_store_owner AND ad_status='1' ORDER BY ad_created DESC LIMIT :start, :per_page";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":userid_store_owner", $userid_store_owner,PDO::PARAM_INT);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$CategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $CategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//count for pagination of (get_all_ads_from_adtimeline_store)
function get_all_ads_from_adtimeline_store_Count($userid_store_owner)
{
	$db = getDB();
	$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:userid_store_owner AND ad_status='1'";
	$stmt = $db->prepare($sql1);
	$stmt->bindParam(":userid_store_owner", $userid_store_owner, PDO::PARAM_INT);
	$stmt->execute();
	$db = null;
	return $stmt->rowCount();
}


function get_sortby_ads_from_adtimeline_store($userid_store_owner,$sortby,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SubCategoryAdsData = array();

		if($sortby == "low-to-high"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:userid_store_owner AND ad_status='1' ORDER BY ad_price ASC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":userid_store_owner", $userid_store_owner,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "high-to-low"){
			$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_user_id_fk=:userid_store_owner AND ad_status='1' ORDER BY ad_price DESC LIMIT :start, :per_page";
			$stmt1 = $db->prepare($sql1);
			$stmt1->bindParam(":userid_store_owner", $userid_store_owner,PDO::PARAM_INT);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SubCategoryAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $SubCategoryAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}



/*######################  Track Ads Function   ###################*/

//add new viewer each time the Ad viewed by users.
function add_new_advert_viewers($adTracker_id)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adproduct_storage SET ad_views=ad_views+1 WHERE ad_id=:adTracker_id";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":adTracker_id", $adTracker_id,PDO::PARAM_INT);
		$stmt3->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get full details of a Ad.
function get_tracker_ads_data($adTracker_id)
{
	try
	{
		$db = getDB();
		$TrackAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_id=:adTracker_id AND ad_status='1'";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":adTracker_id", $adTracker_id,PDO::PARAM_INT);
		$stmt1->execute();
		$TrackAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TrackAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get advertiser details.
function get_advertiser_data($ad_owner_id)
{
	try
	{
		$db = getDB();
		$AdOwnerData = array();
		$sql1 = "SELECT * FROM cl_users WHERE uid=:ad_owner_id AND status='1'";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":ad_owner_id", $ad_owner_id,PDO::PARAM_INT);
		$stmt1->execute();
		$AdOwnerData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $AdOwnerData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get result for search words (what are you looking for interface)
function get_search_ads_data($search_words,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SearchAdData = array();

		$query="SELECT DISTINCT
		A.ad_id, A.ad_title, A.ad_type, A.ad_price, A.ad_salary, A.ad_maxsalary, A.ad_negotiable, A.ad_currency, A.ad_condition, A.ad_desciption, A.ad_category_id_fk, A.ad_subcategory_id_fk, A.ad_state_id_fk, A.ad_city_id_fk, A.ad_streetaddress, A.ad_phone, A.ad_user_id_fk, A.ad_ip, A.ad_browser, A.ad_status, A.ad_posted_date, A.ad_created,
		C.cat_id, C.cat_name,
		S.sub_cat_id, S.sub_cat_name
		FROM
		cl_adproduct_storage A,  cl_favourite_ads F , cl_category C, cl_sub_category S
		WHERE
		A.ad_category_id_fk=C.cat_id
		AND
		A.ad_subcategory_id_fk=S.sub_cat_id
		AND
		( A.ad_title LIKE :searchwords  OR C.cat_name LIKE :searchwords OR S.sub_cat_name LIKE :searchwords )
		ORDER BY ad_id DESC LIMIT :start, :per_page";

		$stmt1 = $db->prepare($query);
		$searchwords = "%".$search_words."%";
		$stmt1->bindParam(":searchwords", $searchwords,PDO::PARAM_STR);
		$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
		$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
		$stmt1->execute();
		$SearchAdData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $SearchAdData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//count for pagination of (get_search_ads_data)
function get_search_ads_data_Count($search_words)
{
	try
	{
		$db = getDB();

		$query="SELECT DISTINCT
		A.ad_id, A.ad_title, A.ad_type, A.ad_price, A.ad_salary, A.ad_maxsalary, A.ad_negotiable, A.ad_currency, A.ad_condition, A.ad_desciption, A.ad_category_id_fk, A.ad_subcategory_id_fk, A.ad_state_id_fk, A.ad_city_id_fk, A.ad_streetaddress, A.ad_phone, A.ad_user_id_fk, A.ad_ip, A.ad_browser, A.ad_status, A.ad_posted_date, A.ad_created,
		C.cat_id, C.cat_name,
		S.sub_cat_id, S.sub_cat_name
		FROM
		cl_adproduct_storage A,  cl_favourite_ads F , cl_category C, cl_sub_category S
		WHERE
		A.ad_category_id_fk=C.cat_id
		AND
		A.ad_subcategory_id_fk=S.sub_cat_id
		AND
		( A.ad_title LIKE :searchwords  OR C.cat_name LIKE :searchwords OR S.sub_cat_name LIKE :searchwords )";

		$stmt1 = $db->prepare($query);
		$searchwords = "%".$search_words."%";
		$stmt1->bindParam(":searchwords", $searchwords,PDO::PARAM_STR);
		$stmt1->execute();
		$db = null;
		return $stmt1->rowCount();
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get result for search words (what are you looking for interface)
function get_sortby_search_ads_data($search_words,$sortby,$start,$per_page)
{
	try
	{
		$db = getDB();
		$SearchAdData = array();
		if($sortby == "low-to-high"){
			$query="SELECT DISTINCT
			A.ad_id, A.ad_title, A.ad_type, A.ad_price, A.ad_salary, A.ad_maxsalary, A.ad_negotiable, A.ad_currency, A.ad_condition, A.ad_desciption, A.ad_category_id_fk, A.ad_subcategory_id_fk, A.ad_state_id_fk, A.ad_city_id_fk, A.ad_streetaddress, A.ad_phone, A.ad_user_id_fk, A.ad_ip, A.ad_browser, A.ad_status, A.ad_posted_date, A.ad_created,
			C.cat_id, C.cat_name,
			S.sub_cat_id, S.sub_cat_name
			FROM
			cl_adproduct_storage A,  cl_favourite_ads F , cl_category C, cl_sub_category S
			WHERE
			A.ad_category_id_fk=C.cat_id
			AND
			A.ad_subcategory_id_fk=S.sub_cat_id
			AND
			( A.ad_title LIKE :searchwords  OR C.cat_name LIKE :searchwords OR S.sub_cat_name LIKE :searchwords )
			ORDER BY ad_price ASC LIMIT :start, :per_page";

			$stmt1 = $db->prepare($query);
			$searchwords = "%".$search_words."%";
			$stmt1->bindParam(":searchwords", $searchwords,PDO::PARAM_STR);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SearchAdData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		elseif($sortby == "high-to-low"){
			$query="SELECT DISTINCT
			A.ad_id, A.ad_title, A.ad_type, A.ad_price, A.ad_salary, A.ad_maxsalary, A.ad_negotiable, A.ad_currency, A.ad_condition, A.ad_desciption, A.ad_category_id_fk, A.ad_subcategory_id_fk, A.ad_state_id_fk, A.ad_city_id_fk, A.ad_streetaddress, A.ad_phone, A.ad_user_id_fk, A.ad_ip, A.ad_browser, A.ad_status, A.ad_posted_date, A.ad_created,
			C.cat_id, C.cat_name,
			S.sub_cat_id, S.sub_cat_name
			FROM
			cl_adproduct_storage A,  cl_favourite_ads F , cl_category C, cl_sub_category S
			WHERE
			A.ad_category_id_fk=C.cat_id
			AND
			A.ad_subcategory_id_fk=S.sub_cat_id
			AND
			( A.ad_title LIKE :searchwords  OR C.cat_name LIKE :searchwords OR S.sub_cat_name LIKE :searchwords )
			ORDER BY ad_price DESC LIMIT :start, :per_page";

			$stmt1 = $db->prepare($query);
			$searchwords = "%".$search_words."%";
			$stmt1->bindParam(":searchwords", $searchwords,PDO::PARAM_STR);
			$stmt1->bindValue(':start', (int) trim($start), PDO::PARAM_INT);
			$stmt1->bindValue(':per_page', (int) trim($per_page), PDO::PARAM_INT);
			$stmt1->execute();
			$SearchAdData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}

		$db = null;
		return $SearchAdData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


function get_package_order_nopayment($uid,$check_type)
{
	try
	{
		$db = getDB();
		$CheckData=array();
		$sql = "SELECT * FROM cl_adbooster_orders WHERE plan_name=:check_type AND uid_fk=:uid AND payment_status='0' ORDER BY id ASC LIMIT 1";
		$stmt = $db->prepare($sql);
		$stmt->bindparam(":check_type", $check_type, PDO::PARAM_STR);
		$stmt->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt->execute();
		$CheckData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $CheckData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get adbooster selected details function
function get_adbooster_selected_details($adbooster_type)
{
	try
	{
		$db = getDB();

		$sql = "SELECT * FROM cl_config";
		$stmt = $db->prepare($sql);
		$stmt->execute();
		$AdBoosterData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $AdBoosterData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//create order and get order ID to create payment link
function cl_adbooster_order_process($adbooster_type,$package_name,$package_price,$package_quantity,$rand_orger_id,$uid)
{
	try
	{
		$db = getDB();

		$stmt2 = $db->prepare("INSERT INTO cl_adbooster_orders(order_id, uid_fk, plan_type, plan_name, plan_price, plan_quantity, created)VALUES
(:order_id, :uid_fk, :plan_type, :plan_name, :plan_price, :plan_quantity, :created)");
		$stmt2->bindparam(":order_id", $rand_orger_id, PDO::PARAM_STR);
		$stmt2->bindparam(":uid_fk", $uid, PDO::PARAM_INT);
		$stmt2->bindparam(":plan_type", $adbooster_type, PDO::PARAM_INT);
		$stmt2->bindparam(":plan_name", $package_name, PDO::PARAM_STR);
		$stmt2->bindparam(":plan_price", $package_price, PDO::PARAM_STR);
		$stmt2->bindparam(":plan_quantity", $package_quantity, PDO::PARAM_STR);
		$created=time();
		$stmt2->bindParam(":created", $created);
		$stmt2->execute();

		$sql3 = "SELECT order_id FROM cl_adbooster_orders WHERE created=:created";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":created", $created);
		$stmt3->execute();
		$AdBoosterData = $stmt3->fetchAll(PDO::FETCH_OBJ);
		$order_id=$AdBoosterData[0]->order_id;

		$db = null;
		return $order_id;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//add payment receipt function
function cl_payment_receipt_process($image_name,$order_id,$uid)
{
	try
	{
		$db = getDB();

		$sql = "UPDATE cl_adbooster_orders SET payment_receipt=:image_name, payment_status='2' WHERE order_id=:order_id AND uid_fk=:uid";
		$stmt2 = $db->prepare($sql);
		$stmt2->bindparam(":image_name", $image_name, PDO::PARAM_STR);
		$stmt2->bindparam(":order_id", $order_id, PDO::PARAM_STR);
		$stmt2->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt2->execute();

		$db = null;
		return true;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}


//get order payment status function
function get_order_payment_status($order_id,$uid)
{
	try
	{
		$db = getDB();
		$OrderData=array();
		$sql = "SELECT * FROM cl_adbooster_orders WHERE order_id=:order_id AND uid_fk=:uid";
		$stmt = $db->prepare($sql);
		$stmt->bindparam(":order_id", $order_id, PDO::PARAM_STR);
		$stmt->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt->execute();
		$OrderData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $OrderData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get transaction data function
function get_transactions_data($uid)
{
	try
	{
		$db = getDB();
		$TransactionData=array();
		$sql = "SELECT * FROM cl_adbooster_orders WHERE uid_fk=:uid ORDER BY id DESC";
		$stmt = $db->prepare($sql);
		$stmt->bindparam(":uid", $uid, PDO::PARAM_INT);
		$stmt->execute();
		$TransactionData = $stmt->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $TransactionData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//boost an advert function
function cl_advert_boost_process($advert_id,$wallet,$uid)
{
	try
	{
		$db = getDB();

		$sql3 = "UPDATE cl_adproduct_storage SET ad_feature='1' WHERE ad_id=:advert_id AND ad_user_id_fk=:uid";
		$stmt3 = $db->prepare($sql3);
		$stmt3->bindParam(":advert_id", $advert_id,PDO::PARAM_INT);
		$stmt3->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt3->execute();

		$sql4 = "UPDATE cl_users SET wallet=:new_wallet_balance WHERE uid=:uid";
		$stmt4 = $db->prepare($sql4);
		$new_wallet_balance= $wallet - 1;
		$stmt4->bindParam(":new_wallet_balance", $new_wallet_balance,PDO::PARAM_STR);
		$stmt4->bindParam(":uid", $uid,PDO::PARAM_INT);
		$stmt4->execute();

		$db = null;
		return true;

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all boosted ads.
function get_boosted_adverts($catid,$subcatid)
{
	try
	{
		$db = getDB();
		$BoostedAdsData = array();
		if(strlen($catid)>0 && strlen($subcatid)<1){
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:catid AND ad_feature='1' AND ad_status='1' ORDER BY RAND() DESC LIMIT 2";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":catid", $catid,PDO::PARAM_INT);
		$stmt1->execute();
		$BoostedAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		else if(strlen($catid)>0 && strlen($subcatid)>0){
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_category_id_fk=:catid AND ad_subcategory_id_fk=:subcatid AND ad_feature='1' AND ad_status='1' ORDER BY RAND() DESC LIMIT 2";
		$stmt1 = $db->prepare($sql1);
		$stmt1->bindParam(":catid", $catid,PDO::PARAM_INT);
		$stmt1->bindParam(":subcatid", $subcatid,PDO::PARAM_INT);
		$stmt1->execute();
		$BoostedAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);
		}
		$db = null;
		return $BoostedAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all boosted ads.
function get_boosted_adverts_home()
{
	try
	{
		$db = getDB();
		$BoostedAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_feature='1' AND ad_status='1' ORDER BY RAND() DESC LIMIT 12";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$BoostedAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $BoostedAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

//get all boosted ads categories.
function get_boosted_adverts_categories()
{
	try
	{
		$db = getDB();
		$BoostedAdsData = array();
		$sql1 = "SELECT * FROM cl_adproduct_storage WHERE ad_feature='1' AND ad_status='1' ORDER BY RAND() DESC LIMIT 2";
		$stmt1 = $db->prepare($sql1);
		$stmt1->execute();
		$BoostedAdsData = $stmt1->fetchAll(PDO::FETCH_OBJ);

		$db = null;
		return $BoostedAdsData;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
}

function check_if_this_ad_exist_inuser_favorite_list($user_id,$ad_id)
{
	try
	{
		$db = getDB();

		$query="SELECT * FROM cl_favourite_ads WHERE f_ad_id_fk=:ad_id AND user_id_fk=:user_id";
		$stmt4 = $db->prepare($query);
		$stmt4->bindParam(":ad_id", $ad_id, PDO::PARAM_INT);
		$stmt4->bindParam(":user_id", $user_id, PDO::PARAM_INT);
		$stmt4->execute();
		$exist = $stmt4->rowCount();

		if($exist){
			$db = null;
			return true;
		}else{
			$db = null;
			return false;
		}

	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}

}


?>
