<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

session_start();

if(!file_exists("assets/connection/cl_config.php")){
	$pre_link = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];

	$slash = substr($pre_link, -1);

	if($slash == '/'){
		header('Location: '.$pre_link.'install/');
	} else {
		header('Location: '.$pre_link.'/install/');
	}
	exit;
}

require_once('assets/init.php');

if(($cl['config']['maintenance_mode'] > 0) && ($_GET['page'] != 'admin')){
	//send users to maintenance page
	$_GET['page'] = 'maintenance';
}

if (!isset($_GET['page']) && !isset($_GET['social'])) {
    $_GET['page'] = 'index';
}

if(isset($_GET['page'])){
	switch ($_GET['page']) {
		case 'index':
			showLandingPage();
			exit;
		break;
		case 'home':
			$_GET['page'] = 'home';
			$folder = 'home';
			$page = 'home';
			include('sources/pages.php');
		break;
		case 'categories':
			$_GET['page'] = 'categories';
			$folder = 'categories';
			$page = 'categories';
			include('sources/pages.php');
		break;
		case 'category':
			$_GET['page'] = 'category';
			$folder = 'category';
			$page = 'category';
			include('sources/pages.php');
		break;
		case 'subcategory':
			$_GET['page'] = 'subcategory';
			$folder = 'subcategory';
			$page = 'subcategory';
			include('sources/pages.php');
		break;
		case 'adtimeline':
			$_GET['page'] = 'adtimeline';
			$folder = 'adtimeline_store';
			$page = 'adtimeline_store';
			include('sources/pages.php');
		break;
		case 'ad-details':
			$_GET['page'] = 'ad-details';
			$folder = 'ad-details';
			$page = 'ad-details';
			include('sources/pages.php');
		break;
		case 'signin':
			$_GET['page'] = 'signin';
			$folder = 'signin';
			$page = 'signin';
			include('sources/pages.php');
		break;
		case 'register':
			$_GET['page'] = 'register';
			$folder = 'register';
			$page = 'register';
			include('sources/pages.php');
		break;
		case 'verification':
			$_GET['page'] = 'verification';
			$folder = 'verification';
			$page = 'verify';
			include('sources/pages.php');
		break;
		case 'forgotpassword':
			$_GET['page'] = 'forgotpassword';
			$folder = 'forgot-password';
			$page = 'forgotpassword';
			include('sources/pages.php');
		break;
		case 'resetpassword':
			$_GET['page'] = 'resetpassword';
			$folder = 'reset-password';
			$page = 'resetpassword';
			include('sources/pages.php');
		break;
		case 'search':
			$_GET['page'] = 'search';
			$folder = 'search';
			$page = 'search_content';
			include('sources/pages.php');
		break;
		case 'myaccount':
			$_GET['page'] = 'myaccount';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'dashboard';
			include('sources/pages.php');
		break;
		case 'myprofile':
			$_GET['page'] = 'myprofile';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'myprofile';
			include('sources/pages.php');
		break;
		case 'myads':
			$_GET['page'] = 'myads';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'myads';
			include('sources/pages.php');
		break;
		case 'editadvertproduct':
			$_GET['page'] = 'editadvertproduct';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'editadvertproduct';
			include('sources/pages.php');
		break;
		case 'myfavorite':
			$_GET['page'] = 'myfavorite';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'myfavorite';
			include('sources/pages.php');
		break;
		case 'adboosterplan':
			$_GET['page'] = 'adboosterplan';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'adboosterplan';
			include('sources/pages.php');
		break;
		case 'adboosterpayment':
			$_GET['page'] = 'adboosterpayment';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'adboosterpayment';
			include('sources/pages.php');
		break;
		case 'transactions':
			$_GET['page'] = 'transactions';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'transactions';
			include('sources/pages.php');
		break;
		case 'postad':
			$_GET['page'] = 'postad';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'postad';
			include('sources/pages.php');
		break;
		case 'adphotoupload':
			$_GET['page'] = 'adphotoupload';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'adphotoupload';
			include('sources/pages.php');
		break;
		case 'emailsettings':
			$_GET['page'] = 'emailsettings';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'emailsettings';
			include('sources/pages.php');
		break;
		case 'passwordsettings':
			$_GET['page'] = 'passwordsettings';
			$_GET['act'] = 'account';
			$folder = 'account';
			$page = 'passwordsettings';
			include('sources/pages.php');
		break;
		case 'about':
			$_GET['page'] = 'about';
			$folder = 'about';
			$page = 'about';
			include('sources/pages.php');
		break;
		case 'faq':
			$_GET['page'] = 'faq';
			$folder = 'faq';
			$page = 'faq';
			include('sources/pages.php');
		break;
		case 'terms':
			$_GET['page'] = 'terms';
			$folder = 'terms';
			$page = 'terms';
			include('sources/pages.php');
		break;
		case 'privacy':
			$_GET['page'] = 'privacy';
			$folder = 'privacy';
			$page = 'privacy';
			include('sources/pages.php');
		break;
		case 'contact':
			$_GET['page'] = 'contact';
			$folder = 'contact';
			$page = 'contact';
			include('sources/pages.php');
		break;
		case 'admin':
			global $cl;
			/*if ($islogged !== true || $cl['user']['admin'] == 0) {
				echo LoadAdminLayout('login');
				exit;
			}*/
			$p = '';
			if(isset($_GET['p'])){
				$p = Cl_Secure($_GET['p']);
			}
			if($p == ''){
				$p="dashboard";
				$cl['content'] = LoadAdminLayout('dashboard');
			} else {
				$cl['content'] = LoadAdminLayout($p);
			}

			$pages = array('login','dashboard','active-users','admin-my-profile','admin-password','banned-users','featured-ads','forgot-password','free-ads','general-settings','inactive-ads','inactive-users','logout','payment-history','payment-settings','recent-payment','site-settings','users-list','reset-password','maintenance-settings');
			if (in_array($p, $pages)) {
				$adminpage= LoadAdminLayout('index');
			}
			else if (!in_array($p, $pages)) {
				header("Location: " . $cl['config']['site_url'].'404');
				exit();
			}
			echo $adminpage;
			exit();
		break;
		/*
			echo LoadAdminPage('index');
			*/
		case 'logout':
			include('sources/logout.php');
			exit;
		break;
		case '404':
			$_GET['page'] = '404';
			$folder = 'extra';
			$page = '404_error';
			include('sources/pages.php');
		break;
		case '500':
			$_GET['page'] = '500';
			$folder = 'extra';
			$page = '500_error';
			include('sources/pages.php');
		break;
		/*case 'home':
			if(isset($_GET['landing'])){
				showLandingPage($_GET['landing']);
				exit;
			} else {
				$_GET['page'] = 'home';
				$folder = 'home';
				$page = 'home';
				include('sources/pages.php');
			}
		break;*/
		case 'maintenance':
			$_GET['page'] = 'maintenance';
			$folder = 'extra';
			$page = 'maintenance';
			include('sources/pages.php');
		break;
	}
}

function showLandingPage(){
	global $cl;
	$cl['content'] = getLandingPage('home/home');

	$container = getPage('container');
	if($cl['htmlsecurity']['enabled'] == 'Yes'){
		$container = preg_replace('/\r|\n/','',$container);
	}
	echo $container;
}

if (empty($cl['content'])) {
    $_GET['page'] = '404';
	header('Location:'.$cl['config']['site_url'].'404');
}

$container = getPage('container');
if($cl['htmlsecurity']['enabled'] == 'Yes'){
	$container = preg_replace('/\r|\n/','',$container); 
}


echo $container;

//Close all connections
mysqli_close($con);
mysqli_close($db);
unset($cl);
