<?php
function getMaxFileUploadSize(){
    return min(convertPHPSizeToBytes(ini_get('post_max_size')), convertPHPSizeToBytes(ini_get('upload_max_filesize')));
}
function convertPHPSizeToBytes($sSize){
    $sSuffix = strtoupper(substr($sSize, -1));
    if (!in_array($sSuffix,array('P','T','G','M','K'))){
        return (int)$sSize;
    }
    $iValue = substr($sSize, 0, -1);
    switch ($sSuffix) {
        case 'P':
            $iValue *= 1024;
        case 'T':
            $iValue *= 1024;
        case 'G':
            $iValue *= 1024;
        case 'M':
            $iValue *= 1024;
        case 'K':
            $iValue *= 1024;
            break;
    }
    return (int)$iValue;
}
$extensions = get_loaded_extensions();
$uploadSize = getMaxFileUploadSize() / 1024 / 1024;
$supportLink ="";
$install_Link = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];

$cb = substr($install_Link, -1);
if($cb == '/'){
    $install_Link = $install_Link;
	$supportLink = str_replace('install/', '', $install_Link);
} else {
    $install_Link = $install_Link.'/';
	$supportLink = str_replace('install/', '', $install_Link);
}


text_title("Installation Requirements");
requirement(version_compare(phpversion(), '5.5', '>='), sprintf('PHP version is at least 5.5 (%s installed)', phpversion()), 'Install PHP 7.1 or newer (current version is '.phpversion(), true);
requirement(function_exists('mysqli_connect'), sprintf('MySqli extension is installed'), 'Install Mysqli extension. Class Mysqli must be defined', true);
requirement(ini_get('allow_url_fopen'), 'allow_url_fopen is enabled', 'Set allow_url_fopen to on in php.ini', true);
requirement(extension_loaded("gd"), sprintf('GD Library is available'), 'Install the gd library or compile php with gd support.', true);
requirement(extension_loaded("fileinfo"), sprintf('fileinfo support is available'), 'Install the pecl/fileinfo library or compile PHP with fileinfo support. fileinfo must be loaded for proper mime type recognition.', true);
requirement(extension_loaded("mbstring"), sprintf('mbstring (multi-byte) is available'), 'Install the pecl/fileinfo library or compile PHP with multi-byte (mbstring) support.', true);
requirement(extension_loaded("curl"), sprintf('cURL is available'), 'Install the pecl/fileinfo library or compile PHP with curl support.', true);
requirement(true, 'Server MAX upload file size (upload_max_filesize,post_max_size) is '.$uploadSize.'MB we recommend to rise it up to 50MB so users can upload media without limitations', '', false);
requirement(function_exists('utf8_decode'), 'utf8_decode() is available', 'Install and enable the XML extension', false);
requirement(function_exists('mb_strlen'), 'mb_strlen() function is available', 'Install and enable the mbstring extension', false);
requirement(extension_loaded("zip"), sprintf('php_zip support is available'), 'Install the php_zip extension. http://pecl.php.net/package/zip', false);
function requirement($boolean, $message, $help = '', $fatal = false){
    if (is_cli()) {
        echo $boolean ? "  OK        " : sprintf("\n\n[[%s]] ", $fatal ? ' ERROR ' : 'WARNING');
        echo sprintf("$message%s\n", $boolean ? '' : ': FAILED');
        if (!$boolean) {
            echo "*** $help ***\n";
            if ($fatal) {
                global $server_error;
                $server_error = true;
                die("You must fix this problem before we continue accessing other requirements.\n");
            }
        }
    } else {
        if ($boolean) {
            $color = '#fff';
            $image = '<svg style="margin-right:5px" xmlns="http://www.w3.org/2000/svg" width="26" height="26" viewBox="0 0 24 24" fill="none" stroke="#00cac7" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"><path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path><polyline points="22 4 12 14.01 9 11.01"></polyline></svg>';
        } elseif ($fatal) {
            global $server_error;
            $server_error = true;
            $color = '#ff6768';
            $image = '<svg style="margin-right:5px" xmlns="http://www.w3.org/2000/svg" width="26" height="26" viewBox="0 0 24 24" fill="none" stroke="#fff" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"><polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line></svg>';
        } else {
            $color = '#fff';
            $image = '<svg style="margin-right:5px" xmlns="http://www.w3.org/2000/svg" width="26" height="26" viewBox="0 0 24 24" fill="none" stroke="#7179ff" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"><circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line></svg>';
        }
        echo sprintf('
<div style="background-color: %s; padding: 4px; margin: 3px; border: 1px #ddd solid; font-size: 14px">
    <div style="float: left">%s</div>
    <div style="float: left; margin-top: 7px; text-align: left;width:92%%">%s%s</div>
    <div style="clear: both"></div>
</div>', $color, $image, $message, !$boolean ? '<div style="background-color: #fff; padding:5px">What to do'.($fatal ? '' : ' (<em>optional</em>)').':<br>'.$help.'</div>' : '');
    }
}
function text_title($title){
    if (is_cli()) {
        echo "\n** $title **\n\n";
    } else {
        echo "<h3>$title</h3>";
    }
}

function is_cli(){
    return !isset($_SERVER['HTTP_HOST']);
}
